Index: /collections/documented-examples/trunk/image-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/image-e/etc/collect.cfg	(revision 19216)
+++ /collections/documented-examples/trunk/image-e/etc/collect.cfg	(revision 19217)
@@ -4,5 +4,5 @@
 buildtype	mgpp
 
-plugin	ImagePlugin
+plugin	ImagePlugin -OIDtype incremental
 plugin	GreenstoneXMLPlugin
 plugin	MetadataXMLPlugin
@@ -26,4 +26,7 @@
 format HList "[link][highlight][ex.Title][/highlight][/link]"
 
+# strings that don't need translating
+collectionmeta sampleoid "D2"
+
 # -- English strings ----------------
 collectionmeta	collectionname [l=en] "Simple image collection"
@@ -69,5 +72,5 @@
 
 <p>
-<a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=HASH0155146db043ded1a4753b9a\">Here</a> is a sample document in the collection.
+<a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=_sampleoid_\">Here</a> is a sample document in the collection.
 The <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>
 configuration file</a> specifies no indexes, so the search button is
@@ -113,5 +116,5 @@
 <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>configuration file</a>,
 <i>DocumentText</i>, dictates how the document will appear, and
-<a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=HASHe65e0fdf1b460cd4f85899\">this</a> is the
+<a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=_sampleoid_\">this</a> is the
 result. There is no document text (if there were, it would be producible by
 [<i>Text</i>]). What is shown is the image itself, along with some metadata extracted
@@ -145,14 +148,5 @@
 images along with the text. The HTML plugin <i>HTMLPlugin</i> also processes image
 files, but it does so in a different way from ImagePlugin (for example, it
-does not produce the metadata described above). *deleteIn fact, this is one of the few
-situations where the ordering of plugins in the collection configuration file makes a
-difference. If both plugins were included, images would be processed by
-whichever came first in the configuration file.*\n
-
-<p>Another example of a more comprehensive image collection is Gordon Paynter\'s
-<a href=\"http://www.nzdl.org/worldpics\">Pictures
-of the world</a>. This is like the present collection in that the target
-documents are images rather than HTML files, but more extensive metadata is
-associated with each image (using <i>metadata.xml</i> files).
+does not produce the metadata described above).\n
 "
 
@@ -170,5 +164,5 @@
 
 <p>
-<a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=HASHe65e0fdf1b460cd4f85899\">Voici</a> un document test dans la collection. Le <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg> fichier de configuration</a> ne spÃ©cifie aucun index, ainsi le bouton de recherche est supprimÃ©.
+<a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=_sampleoid_\">Voici</a> un document test dans la collection. Le <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg> fichier de configuration</a> ne spÃ©cifie aucun index, ainsi le bouton de recherche est supprimÃ©.
 
 <p>
@@ -198,5 +192,5 @@
 
 <p>
-La seconde dÃ©claration de format dans le <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>fichier de configuration</a>, <i>DocumentText</i>, impose la maniÃšre dont le document est affichÃ©; <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=HASHe65e0fdf1b460cd4f85899\">voici</a> le rÃ©sultat. Il n\'existe aucun texte de document (si tel Ã©tait le cas, il serait produit par <i>[Text]</i>). Ce qui est affichÃ© est l\'image elle-mÃªme, avec quelques mÃ©ta-donnÃ©es qui en sont extraites.
+La seconde dÃ©claration de format dans le <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>fichier de configuration</a>, <i>DocumentText</i>, impose la maniÃšre dont le document est affichÃ©; <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=_sampleoid_\">voici</a> le rÃ©sultat. Il n\'existe aucun texte de document (si tel Ã©tait le cas, il serait produit par <i>[Text]</i>). Ce qui est affichÃ© est l\'image elle-mÃªme, avec quelques mÃ©ta-donnÃ©es qui en sont extraites.
 
 <p>
@@ -227,9 +221,4 @@
 ci-dessus). 
 
-<p>
-Un autre exemple d\'une collection d\'images plus complÃšte est
-<a href=\"http://www.nzdl.org/worldpics\">Pictures of the world</a>
-de Gordon Paynter. Elle est similaire Ã  la prÃ©sente collection dans la mesure oÃ¹ les documents cibles sont des images plutÃŽt que des fichiers HTML, mais une mÃ©ta-donnÃ©e plus Ã©tendue
-est associÃ©e Ã  chaque image (en utilisant des fichiers <i>metadata.xml</i>).
 "
 
@@ -246,5 +235,5 @@
 <p>
 
-He <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=HASHe65e0fdf1b460cd4f85899\">aquÃ­</a> un documento muestra de la colecciÃ³n. El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n</a> no especifica ningÃºn Ã­ndice, por lo que el botÃ³n de bÃºsqueda se suprime.
+He <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=_sampleoid_\">aquÃ­</a> un documento muestra de la colecciÃ³n. El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n</a> no especifica ningÃºn Ã­ndice, por lo que el botÃ³n de bÃºsqueda se suprime.
 <p>
 
@@ -271,5 +260,5 @@
 <p>
 
-El segundo enunciado de formato en el <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n</a>, <i>DocumentText</i>, dicta la forma en que aparecerÃ¡ el documento. <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=HASHe65e0fdf1b460cd4f85899\">Ãste</a> es el resultado. No hay texto (en caso de que hubiera, se podrÃ­a producir por medio de [<i>Text</i>]). Lo que se muestra es la pura imagen junto con algunos metadatos extraÃ­dos de ella.
+El segundo enunciado de formato en el <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n</a>, <i>DocumentText</i>, dicta la forma en que aparecerÃ¡ el documento. <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=_sampleoid_\">Ãste</a> es el resultado. No hay texto (en caso de que hubiera, se podrÃ­a producir por medio de [<i>Text</i>]). Lo que se muestra es la pura imagen junto con algunos metadatos extraÃ­dos de ella.
 <p>
 
@@ -293,6 +282,4 @@
 Para conocer una colecciÃ³n de imÃ¡genes mÃ¡s completa, consulte la <a href=\"http://www.nzdl.org/cgi-bin/library?a=p&p=about&c=aircraft\">kiwi aircraft images</a> de la Biblioteca Digital de Nueva Zelanda. Sin embargo, la estructura de esta colecciÃ³n es muy diferente. Se trata de una colecciÃ³n de pÃ¡ginas Web que incluye muchas imÃ¡genes junto con el texto. El plugin <i>HTMLPlugin</i> tambiÃ©n procesa archivos de imÃ¡genes, pero lo hace de manera diferente a ImagePlugin (por ejemplo, no produce los metadatos descritos arriba). 
 <p>
-
-Otro ejemplo de una colecciÃ³n de imÃ¡genes mÃ¡s completa es la colecciÃ³n <a href=\"http://www.nzdl.org/worldpics\">Pictures of the world</a> de Gordon Paynter. Ãsta es similar a la presente colecciÃ³n en el sentido de que los documentos objetivo son imÃ¡genes en vez de archivos HTML, pero en ella un mayor nÃºmero de metadatos se asocian a cada imagen (por medio del uso de archivos <i>metadata.xml</i>).
 "
 
@@ -312,5 +299,5 @@
 <p>
 
-<a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=HASHe65e0fdf1b460cd4f85899\">ÐÐŽÐµÑÑ</a> Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÐµÐœ ÑÐžÐ¿ÐŸÐ²ÐŸÐ¹ ÐŽÐŸÐºÑÐŒÐµÐœÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž. <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>ÐÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÑÐ¹ ÑÐ°Ð¹Ð»</a> ÐœÐµ ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÐµÑ ÐœÐžÐºÐ°ÐºÐžÑ
+<a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=_sampleoid_\">ÐÐŽÐµÑÑ</a> Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÐµÐœ ÑÐžÐ¿ÐŸÐ²ÐŸÐ¹ ÐŽÐŸÐºÑÐŒÐµÐœÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž. <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>ÐÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÑÐ¹ ÑÐ°Ð¹Ð»</a> ÐœÐµ ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÐµÑ ÐœÐžÐºÐ°ÐºÐžÑ
  ÐžÐœÐŽÐµÐºÑÐŸÐ², ÑÐ°Ðº ÑÑÐŸ ÐºÐœÐŸÐ¿ÐºÐ° Ð¿ÐŸÐžÑÐºÐ° Ð¿ÐŸÐŽÐ°Ð²Ð»ÐµÐœÐ°.
 <p>
@@ -371,5 +358,5 @@
 <p>
 
-ÐÑÐŸÑÐŸÐ¹ ÐŸÐ¿ÐµÑÐ°ÑÐŸÑ ÑÐŸÑÐŒÐ°ÑÐ° Ð² ÐºÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÐŸÐŒ ÑÐ°Ð¹Ð»Ðµ, <i>DocumentText</i>, ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÐµÑ, ÐºÐ°Ðº ÑÐ»ÐµÐŒÐµÐœÑ Ð¿ÐŸÑÐ²Ð»ÑÐµÑÑÑ, Ðž <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=HASHe65e0fdf1b460cd4f85899\">ÑÑÐŸÑ Ð¿ÑÐžÐŒÐµÑ</a> ÑÐ²Ð»ÑÐµÑÑÑ ÑÐµÐ·ÑÐ»ÑÑÐ°ÑÐŸÐŒ. Ð¢ÐµÐºÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° ÐŸÑÑÑÑÑÑÐ²ÑÐµÑ (ÐµÑÐ»Ðž Ð±Ñ ÐŸÐœ Ð±ÑÐ», ÑÐŸ ÐŸÐœ Ð±Ñ Ð¿ÑÐŸÐžÐ·Ð²ÐŸÐŽÐžÐ»ÑÑ [Ð¢ÐµÐºÑÑÐŸÐŒ] [Text]. Ð¢ÐŸ, ÑÑÐŸ Ð¿ÐŸÐºÐ°Ð·Ð°ÐœÐŸ, ÑÐ²Ð»ÑÐµÑÑÑ ÐœÐµÐ¿ÐŸÑÑÐµÐŽÑÑÐ²ÐµÐœÐœÐŸ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐµÐŒ Ð²ÐŒÐµÑÑÐµ Ñ ÐœÐµÐºÐŸÑÐŸÑÑÐŒÐž ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐŒÐž, ÐžÐ·Ð²Ð»ÐµÑÐµÐœÐœÑÐŒÐž ÐžÐ· ÐœÐµÐ³ÐŸ.
+ÐÑÐŸÑÐŸÐ¹ ÐŸÐ¿ÐµÑÐ°ÑÐŸÑ ÑÐŸÑÐŒÐ°ÑÐ° Ð² ÐºÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÐŸÐŒ ÑÐ°Ð¹Ð»Ðµ, <i>DocumentText</i>, ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÐµÑ, ÐºÐ°Ðº ÑÐ»ÐµÐŒÐµÐœÑ Ð¿ÐŸÑÐ²Ð»ÑÐµÑÑÑ, Ðž <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=_sampleoid_\">ÑÑÐŸÑ Ð¿ÑÐžÐŒÐµÑ</a> ÑÐ²Ð»ÑÐµÑÑÑ ÑÐµÐ·ÑÐ»ÑÑÐ°ÑÐŸÐŒ. Ð¢ÐµÐºÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° ÐŸÑÑÑÑÑÑÐ²ÑÐµÑ (ÐµÑÐ»Ðž Ð±Ñ ÐŸÐœ Ð±ÑÐ», ÑÐŸ ÐŸÐœ Ð±Ñ Ð¿ÑÐŸÐžÐ·Ð²ÐŸÐŽÐžÐ»ÑÑ [Ð¢ÐµÐºÑÑÐŸÐŒ] [Text]. Ð¢ÐŸ, ÑÑÐŸ Ð¿ÐŸÐºÐ°Ð·Ð°ÐœÐŸ, ÑÐ²Ð»ÑÐµÑÑÑ ÐœÐµÐ¿ÐŸÑÑÐµÐŽÑÑÐ²ÐµÐœÐœÐŸ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐµÐŒ Ð²ÐŒÐµÑÑÐµ Ñ ÐœÐµÐºÐŸÑÐŸÑÑÐŒÐž ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐŒÐž, ÐžÐ·Ð²Ð»ÐµÑÐµÐœÐœÑÐŒÐž ÐžÐ· ÐœÐµÐ³ÐŸ.
 <p>
 
@@ -393,8 +380,3 @@
 ÐÐŸÐ»ÐµÐµ ÐžÑÑÐµÑÐ¿ÑÐ²Ð°ÑÑÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹ ÑÐŒÐŸÑÑÐžÑÐµ Ð² <a href=\"http://www.nzdl.org/cgi-bin/library?a=p&p=about&c=aircraft\">kiwi aircraft images</a> Ð² ÐÐŸÐ²ÐŸÐ·ÐµÐ»Ð°ÐœÐŽÑÐºÐŸÐ¹ ÐŠÐžÑÑÐŸÐ²ÐŸÐ¹ ÐÐžÐ±Ð»ÐžÐŸÑÐµÐºÐµ. Ð¡ÑÑÑÐºÑÑÑÐ° ÑÑÐŸÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž Ð²ÐµÑÑÐŒÐ° ÐŸÑÐ»ÐžÑÐ°ÐµÑÑÑ, Ð¿ÐŸÑÐºÐŸÐ»ÑÐºÑ ÑÑÐŸ Ðž ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ Web-ÑÑÑÐ°ÐœÐžÑ, ÐºÐŸÑÐŸÑÐ°Ñ Ð²ÐºÐ»ÑÑÐ°ÐµÑ ÐŒÐœÐŸÐ³ÐŸ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹ ÐœÐ°ÑÑÐŽÑ Ñ ÑÐµÐºÑÑÐŸÐŒ. ÐÐ»Ð°Ð³ÐžÐœ <i>HTMLPlugin</i> ÑÐ°ÐºÐ¶Ðµ ÐŸÐ±ÑÐ°Ð±Ð°ÑÑÐ²Ð°ÐµÑ ÑÐ°Ð¹Ð»Ñ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹, ÐœÐŸ ÐŽÐµÐ»Ð°ÐµÑ ÑÑÐŸ ÑÐ°Ðº ÐŽÑÑÐ³ÐžÐŒ ÑÐ¿ÐŸÑÐŸÐ±ÐŸÐŒ, ÑÐµÐŒ ImagePlugin (ÐœÐ¿ÑÐžÐŒÐµÑ, ÐŸÐœ ÐœÐµ Ð³ÐµÐœÐµÑÐžÑÑÐµÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ, ÐŸÐ¿ÐžÑÐ°ÐœÐœÑÐµ Ð²ÑÑÐµ). 
 <p>
-
-ÐÑÑÐ³ÐžÐŒ Ð¿ÑÐžÐŒÐµÑÐŸÐŒ Ð±ÐŸÐ»ÐµÐµ ÑÐ°Ð·ÐœÐŸÐŸÐ±ÑÐ°Ð·ÐœÐŸÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹ ÑÐ²Ð»ÑÐµÑÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ Ñ
-ÑÐŽÐŸÐ¶ÐœÐžÐºÐ° ÐÐŸÑÐŽÐŸÐœÐ° <a href=\"http://www.nzdl.org/worldpics\">ÐÐ°ÑÑÐžÐœÑ ÐŒÐžÑÐ°</a>. ÐÐœÐ° Ð¿ÐŸÑ
-ÐŸÐ¶Ð° ÐœÐ° Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÐµÐœÐœÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÑÐµÐŒ, ÑÑÐŸ ÑÐµÐ»Ñ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ² -- ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÑ, Ð° ÐœÐµ ÑÐ°Ð¹Ð»Ñ HTML, ÐœÐŸ Ð±ÐŸÐ»ÑÑÐµÐµ ÑÐžÑÐ»ÐŸ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
- ÑÐ²ÑÐ·Ð°ÐœÐŸ Ñ ÐºÐ°Ð¶ÐŽÑÐŒ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐµÐŒ, ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÑ ÑÐ°Ð¹Ð»Ñ <i>metadata/xml</i>.
 "