Index: gsdl/trunk/perllib/strings.properties
===================================================================
--- gsdl/trunk/perllib/strings.properties	(revision 19219)
+++ gsdl/trunk/perllib/strings.properties	(revision 19244)
@@ -563,14 +563,4 @@
 DateList.sort:An extra metadata field to sort by in the case where two documents have the same date.
 
-GenericList.classify_sections:Classify sections instead of documents.
-GenericList.desc:A general and flexible list classifier with most of the abilities of AZCompactList, but with better Unicode, metadata and sorting capabilities.
-GenericList.metadata:Metadata fields used for classification. Use '/' to separate the levels in the hierarchy and ';' to separate metadata fields within each level.
-GenericList.partition_name_length:The length of the partition name; defaults to a variable length from 1 up to 3 characters, depending on how many are required to distinguish the partition start from its end. This option only applies when partition_type_within_level is set to 'constant_size'.
-GenericList.partition_size_within_level:The number of items in each partition (only applies when partition_type_within_level is set to 'constant_size').
-GenericList.partition_type_within_level:The type of partitioning done: either 'per_letter', 'constant_size', or 'none'.
-GenericList.sort_leaf_nodes_using:Metadata fields used for sorting the leaf nodes. Use '|' to separate the metadata groups to stable sort and ';' to separate metadata fields within each group.
-GenericList.sort_using_unicode_collation:Sort using the Unicode Collation Algorithm. Requires http://www.unicode.org/Public/UCA/latest/allkeys.txt file to be downloaded into perl's lib/Unicode/Collate folder.
-GenericList.use_hlist_for:Metadata fields to use a hlist rather than a vlist. Use ',' to separate the metadata groups and ';' to separate the metadata fields within each group.
-
 HFileHierarchy.desc:Classifier plugin for generating hierarchical classifications based on a supplementary structure file.
 
@@ -602,5 +592,7 @@
 List.bookshelf_type.duplicate_only:Create a bookshelf icon only when there are more than one item in each group at the leaf nodes.
 
-List.desc:Simple list classifier plugin. 
+List.classify_sections:Classify sections instead of documents.
+
+List.desc:A general and flexible list classifier with most of the abilities of AZCompactList, but with better Unicode, metadata and sorting capabilities.
 
 List.level_partition.per_letter:Create a partition for each letter.
@@ -608,7 +600,23 @@
 List.level_partition.per_letter_fixed_size:Create a partition per letter with approximately fixed size.
 
-List.metadata:A single Metadata field or a comma separated list of Metadata fields used for classification. Following the order indicated by the list, the first field that contains a Metadata value will be used. List will be sorted by this element, unless -sort is used. If no metadata is specified, then all documents will be included in the list, otherwise only documents that contain a metadata value will be included.
-
-List.sort:Metadata field to sort by. Use '-sort nosort' for no sorting. 
+List.metadata:Metadata fields used for classification. Use '/' to separate the levels in the hierarchy and ';' to separate metadata fields within each level.
+
+List.partition_name_length:The length of the partition name; defaults to a variable length from 1 up to 3 characters, depending on how many are required to distinguish the partition start from its end. This option only applies when partition_type_within_level is set to 'constant_size'.
+
+List.partition_size_within_level:The number of items in each partition (only applies when partition_type_within_level is set to 'constant_size').
+
+List.partition_type_within_level:The type of partitioning done: either 'per_letter', 'constant_size', or 'none'.
+
+List.sort_leaf_nodes_using:Metadata fields used for sorting the leaf nodes. Use '|' to separate the metadata groups to stable sort and ';' to separate metadata fields within each group.
+
+List.sort_using_unicode_collation:Sort using the Unicode Collation Algorithm. Requires http://www.unicode.org/Public/UCA/latest/allkeys.txt file to be downloaded into perl's lib/Unicode/Collate folder.
+
+List.use_hlist_for:Metadata fields to use a hlist rather than a vlist. Use ',' to separate the metadata groups and ';' to separate the metadata fields within each group.
+
+SimpleList.metadata:A single Metadata field or a comma separated list of Metadata fields used for classification. Following the order indicated by the list, the first field that contains a Metadata value will be used. List will be sorted by this element, unless -sort is used. If no metadata is specified, then all documents will be included in the list, otherwise only documents that contain a metadata value will be included.
+
+SimpleList.desc:Simple list classifier plugin. 
+
+SimpleList.sort:Metadata field to sort by. Use '-sort nosort' for no sorting. 
 
 Phind.desc:Produces a hierarchy of phrases found in the text, which is browsable via an applet.