Index: gsdl/trunk/perllib/strings_th.properties
===================================================================
--- gsdl/trunk/perllib/strings_th.properties	(revision 18665)
+++ gsdl/trunk/perllib/strings_th.properties	(revision 19245)
@@ -562,14 +562,23 @@
 DateList.sort:à¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²àžàžŽà¹àžšàž©àžàžµà¹àžàž°à¹àž£àžµàž¢àžàž¥àž³àžàž±àžà¹àžàžàž£àžàžµàžàžµà¹à¹àž­àžàžªàž²àž£àžªàž­àžàžàžàž±àžàž¡àžµàž§àž±àžàžàžµà¹à¹àžàžµàž¢àž§àžàž±àž  
 
-GenericList.always_bookshelf_last_level:àžªàž£à¹àž²àžà¹àž­àžàž­àžàžàž±à¹àžàž§àž²àžàž«àžàž±àžàžªàž·àž­à¹àž¡à¹àž§à¹àž²àžàž°àž¡àžµàž«àžàž±àžàžªàž·àž­à¹àžàžµàž¢àžàž£àž²àž¢àžàž²àž£à¹àžàžµàž¢àž§à¹àžà¹àžà¹àž¥àž°àžàž¥àžžà¹àž¡à¹àžà¹àž«àžàžàžàž¥àž²àž¢àžªàžžàž  
-GenericList.classify_sections:à¹àž¢àžàžàž£àž°à¹àž àžàžàž²àž¡àžªà¹àž§àžà¹àžàžàžàž²àž£à¹àž¢àžàžàž£àž°à¹àž àžàžàž²àž¡à¹àž­àžàžªàž²àž£  
-GenericList.desc:àžàž±àž§à¹àž¢àžàžàž£àž°à¹àž àžàž£àž²àž¢àžàž²àž£à¹àžàžàžàž±à¹àž§à¹àžà¹àž¥àž°à¹àžàžàž¢àž·àžàž«àž¢àžžà¹àžàžàžµà¹àž£àž§àž¡àžàž§àž²àž¡àžªàž²àž¡àž²àž£àžà¹àžàž·àž­àžàžàž±à¹àžàž«àž¡àžàžàž­àž AZCompactList à¹àžà¹àž¡àžµ Unicode à¹àž¡àžàž²àžàž²àžàž²à¹àž¥àž°àžàž§àž²àž¡àžªàž²àž¡àž²àž£àžà¹àžàžàž²àž£à¹àž£àžµàž¢àžàž¥àž³àžàž±àžàžàžµà¹àžàžµàžàž§à¹àž²  
-GenericList.metadata:à¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²àžàžµà¹à¹àžà¹àžªàž³àž«àž£àž±àžàžàž²àž£à¹àž¢àžàžàž£àž°à¹àž àž à¹àž«à¹à¹àžà¹ '/' à¹àžàž·à¹àž­à¹àžà¹àžàž£àž°àžàž±àžà¹àžàž¥àž³àžàž±àžàžàž±à¹àž à¹àž¥àž°à¹àžà¹ ';' à¹àžàž·à¹àž­à¹àžà¹àžà¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²àž àž²àž¢à¹àžà¹àžà¹àž¥àž°àž£àž°àžàž±àž  
-GenericList.partition_name_length:àžàž§àž²àž¡àž¢àž²àž§àžàž­àžàžàž·à¹àž­àžàž²àž£à¹àžàžŽàžàž±àž àžàž¶à¹àžàž¡àžµàžà¹àž²à¹àž£àžŽà¹àž¡àžà¹àžàžàžµà¹àžªàž²àž¡àž²àž£àžà¹àžàž¥àžµà¹àž¢àžàžà¹àž²à¹àžà¹àžàž±à¹àžà¹àžà¹ 1 àžàž¶àž 3 àž­àž±àžàžàž£àž° àžàž¶à¹àžàž­àž¢àž¹à¹àžàž±àžàžàž³àžàž§àžàžàžµà¹àžà¹àž­àžàžàž²àž£à¹àžà¹à¹àžà¹àžà¹àž¢àžàžàž²àž£à¹àžàžŽàžàž±àžàžàž±à¹àžà¹àžà¹àžà¹àžàžàžàžàž àžàžžàžàžªàž²àž¡àž²àž£àžàžàž£àž°àž¢àžžàžàžà¹à¹àžà¹àžàž±àž§à¹àž¥àž·àž­àžàžàžµà¹à¹àžà¹à¹àžàžàž²àž°à¹àž¡àž·à¹àž­à¹àžà¹àžàž±à¹àžàžà¹àž² partition_type_within_level à¹àžà¹àž 'constant_size' à¹àžà¹àž²àžàž±à¹àž  
-GenericList.partition_size_within_level:àžàž³àžàž§àžàž£àž²àž¢àžàž²àž£à¹àžà¹àžà¹àž¥àž°àžàž²àž£à¹àžàžŽàžàž±àž (àžàž£àž°àž¢àžžàžàžà¹à¹àžà¹à¹àžà¹à¹àžàžàž²àž°à¹àž¡àž·à¹àž­àž¡àžµàžàž²àž£àžàž±à¹àžàžà¹àž² partition_type_within_level à¹àžà¹àž 'constant_size' à¹àžà¹àž²àžàž±à¹àž)  
-GenericList.partition_type_within_level:àžàžàžŽàžàžàž­àžàžàž²àž£àžàž³àžàž²àž£à¹àžàžŽàžàž±àžàžàžµà¹àžàž³à¹àžàžŽàžàžàž²àž£à¹àž£àžµàž¢àžàž£à¹àž­àž¢à¹àž¥à¹àž§: 'per_letter' 'constant_size' àž«àž£àž·àž­ 'none'  
-GenericList.sort_leaf_nodes_using:à¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²àžàžµà¹à¹àžà¹à¹àž£àžµàž¢àžàž¥àž³àžàž±àžà¹àž«àžàžàžàž¥àž²àž¢àžªàžžàž à¹àž«à¹à¹àžà¹ '|' à¹àžàž·à¹àž­à¹àž¢àžàžàž¥àžžà¹àž¡à¹àž¡àžàž²àžàž²àžàž²à¹àž«à¹àž¡àžµàžàž²àž£à¹àž£àžµàž¢àžàž¥àž³àžàž±àžàž­àž¢à¹àž²àžàžàžàžàžµà¹ à¹àž¥àž°à¹àžà¹ ';' à¹àžàž·à¹àž­à¹àž¢àžà¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²àž àž²àž¢à¹àžà¹àžà¹àž¥àž°àžàž¥àžžà¹àž¡  
-GenericList.sort_using_unicode_collation:àžàž±àžà¹àž£àžµàž¢àžàž¥àž³àžàž±àžà¹àžàž¢à¹àžà¹ Unicode Collation Algorithm àžàžžàžàžàž³à¹àžà¹àžàžà¹àž­àžàžàž³àžàž²àž£àžàž²àž§àžà¹à¹àž«àž¥àžà¹àžà¹àž¡ http://www.unicode.org/Public/UCA/latest/allkeys.txt file àž¥àžà¹àžà¹àžàž¥à¹àžàž­àž£à¹ lib/Unicode/Collate àžàž­àž Perl  
-GenericList.use_hlist_for:à¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²àžàžµà¹à¹àžà¹ hlist à¹àžàžàžàž²àž£à¹àžà¹ vlist  à¹àž«à¹à¹àžà¹ ',' à¹àžàž·à¹àž­à¹àžà¹àžàžàž¥àžžà¹àž¡à¹àž¡àžàž²àžàž²àžàž² à¹àž¥àž°à¹àžà¹ ';' à¹àžàž·à¹àž­à¹àžà¹àžà¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²àž àž²àž¢à¹àžà¹àžà¹àž¥àž°àžàž¥àžžà¹àž¡  
+List.always_bookshelf_last_level:àžªàž£à¹àž²àžà¹àž­àžàž­àžàžàž±à¹àžàž§àž²àžàž«àžàž±àžàžªàž·àž­à¹àž¡à¹àž§à¹àž²àžàž°àž¡àžµàž«àžàž±àžàžªàž·àž­à¹àžàžµàž¢àžàž£àž²àž¢àžàž²àž£à¹àžàžµàž¢àž§à¹àžà¹àžà¹àž¥àž°àžàž¥àžžà¹àž¡à¹àžà¹àž«àžàžàžàž¥àž²àž¢àžªàžžàž  
+
+List.classify_sections:à¹àž¢àžàžàž£àž°à¹àž àžàžàž²àž¡àžªà¹àž§àžà¹àžàžàžàž²àž£à¹àž¢àžàžàž£àž°à¹àž àžàžàž²àž¡à¹àž­àžàžªàž²àž£  
+
+List.desc:àžàž±àž§à¹àž¢àžàžàž£àž°à¹àž àžàž£àž²àž¢àžàž²àž£à¹àžàžàžàž±à¹àž§à¹àžà¹àž¥àž°à¹àžàžàž¢àž·àžàž«àž¢àžžà¹àžàžàžµà¹àž£àž§àž¡àžàž§àž²àž¡àžªàž²àž¡àž²àž£àžà¹àžàž·àž­àžàžàž±à¹àžàž«àž¡àžàžàž­àž AZCompactList à¹àžà¹àž¡àžµ Unicode à¹àž¡àžàž²àžàž²àžàž²à¹àž¥àž°àžàž§àž²àž¡àžªàž²àž¡àž²àž£àžà¹àžàžàž²àž£à¹àž£àžµàž¢àžàž¥àž³àžàž±àžàžàžµà¹àžàžµàžàž§à¹àž²  
+
+List.metadata:à¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²àžàžµà¹à¹àžà¹àžªàž³àž«àž£àž±àžàžàž²àž£à¹àž¢àžàžàž£àž°à¹àž àž à¹àž«à¹à¹àžà¹ '/' à¹àžàž·à¹àž­à¹àžà¹àžàž£àž°àžàž±àžà¹àžàž¥àž³àžàž±àžàžàž±à¹àž à¹àž¥àž°à¹àžà¹ ';' à¹àžàž·à¹àž­à¹àžà¹àžà¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²àž àž²àž¢à¹àžà¹àžà¹àž¥àž°àž£àž°àžàž±àž  
+
+List.partition_name_length:àžàž§àž²àž¡àž¢àž²àž§àžàž­àžàžàž·à¹àž­àžàž²àž£à¹àžàžŽàžàž±àž àžàž¶à¹àžàž¡àžµàžà¹àž²à¹àž£àžŽà¹àž¡àžà¹àžàžàžµà¹àžªàž²àž¡àž²àž£àžà¹àžàž¥àžµà¹àž¢àžàžà¹àž²à¹àžà¹àžàž±à¹àžà¹àžà¹ 1 àžàž¶àž 3 àž­àž±àžàžàž£àž° àžàž¶à¹àžàž­àž¢àž¹à¹àžàž±àžàžàž³àžàž§àžàžàžµà¹àžà¹àž­àžàžàž²àž£à¹àžà¹à¹àžà¹àžà¹àž¢àžàžàž²àž£à¹àžàžŽàžàž±àžàžàž±à¹àžà¹àžà¹àžà¹àžàžàžàžàž àžàžžàžàžªàž²àž¡àž²àž£àžàžàž£àž°àž¢àžžàžàžà¹à¹àžà¹àžàž±àž§à¹àž¥àž·àž­àžàžàžµà¹à¹àžà¹à¹àžàžàž²àž°à¹àž¡àž·à¹àž­à¹àžà¹àžàž±à¹àžàžà¹àž² partition_type_within_level à¹àžà¹àž 'constant_size' à¹àžà¹àž²àžàž±à¹àž  
+
+List.partition_size_within_level:àžàž³àžàž§àžàž£àž²àž¢àžàž²àž£à¹àžà¹àžà¹àž¥àž°àžàž²àž£à¹àžàžŽàžàž±àž (àžàž£àž°àž¢àžžàžàžà¹à¹àžà¹à¹àžà¹à¹àžàžàž²àž°à¹àž¡àž·à¹àž­àž¡àžµàžàž²àž£àžàž±à¹àžàžà¹àž² partition_type_within_level à¹àžà¹àž 'constant_size' à¹àžà¹àž²àžàž±à¹àž)  
+
+List.partition_type_within_level:àžàžàžŽàžàžàž­àžàžàž²àž£àžàž³àžàž²àž£à¹àžàžŽàžàž±àžàžàžµà¹àžàž³à¹àžàžŽàžàžàž²àž£à¹àž£àžµàž¢àžàž£à¹àž­àž¢à¹àž¥à¹àž§: 'per_letter' 'constant_size' àž«àž£àž·àž­ 'none'  
+
+List.sort_leaf_nodes_using:à¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²àžàžµà¹à¹àžà¹à¹àž£àžµàž¢àžàž¥àž³àžàž±àžà¹àž«àžàžàžàž¥àž²àž¢àžªàžžàž à¹àž«à¹à¹àžà¹ '|' à¹àžàž·à¹àž­à¹àž¢àžàžàž¥àžžà¹àž¡à¹àž¡àžàž²àžàž²àžàž²à¹àž«à¹àž¡àžµàžàž²àž£à¹àž£àžµàž¢àžàž¥àž³àžàž±àžàž­àž¢à¹àž²àžàžàžàžàžµà¹ à¹àž¥àž°à¹àžà¹ ';' à¹àžàž·à¹àž­à¹àž¢àžà¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²àž àž²àž¢à¹àžà¹àžà¹àž¥àž°àžàž¥àžžà¹àž¡  
+
+List.sort_using_unicode_collation:àžàž±àžà¹àž£àžµàž¢àžàž¥àž³àžàž±àžà¹àžàž¢à¹àžà¹ Unicode Collation Algorithm àžàžžàžàžàž³à¹àžà¹àžàžà¹àž­àžàžàž³àžàž²àž£àžàž²àž§àžà¹à¹àž«àž¥àžà¹àžà¹àž¡ http://www.unicode.org/Public/UCA/latest/allkeys.txt file àž¥àžà¹àžà¹àžàž¥à¹àžàž­àž£à¹ lib/Unicode/Collate àžàž­àž Perl  
+
+List.use_hlist_for:à¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²àžàžµà¹à¹àžà¹ hlist à¹àžàžàžàž²àž£à¹àžà¹ vlist  à¹àž«à¹à¹àžà¹ ',' à¹àžàž·à¹àž­à¹àžà¹àžàžàž¥àžžà¹àž¡à¹àž¡àžàž²àžàž²àžàž² à¹àž¥àž°à¹àžà¹ ';' à¹àžàž·à¹àž­à¹àžà¹àžà¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²àž àž²àž¢à¹àžà¹àžà¹àž¥àž°àžàž¥àžžà¹àž¡  
 
 HFileHierarchy.desc:àžàž¥àž±à¹àžàž­àžŽàžàžàž±àž§à¹àž¢àžàžàž£àž°à¹àž àžàžªàž³àž«àž£àž±àžàžªàž£à¹àž²àžàžàž²àž£à¹àž¢àžàžàž£àž°à¹àž àžà¹àžàžàž¥àž³àžàž±àžàžàž±à¹àžàžàžµà¹àž¡àžµàžàž·à¹àžàžàž²àžàž­àž¢àž¹à¹àžàžà¹àžà¹àž¡à¹àžàž£àžàžªàž£à¹àž²àžà¹àžªàž£àžŽàž¡  
@@ -597,9 +606,9 @@
 HTML.url:url àžàž­àžàž«àžà¹àž²à¹àž§à¹àžàžàžµà¹à¹àžàž·à¹àž­àž¡à¹àž¢àž  
 
-List.desc:àžàž¥àž±à¹àžàž­àžŽàžàžàž±àž§à¹àž¢àžàžàž£àž°à¹àž àžàž£àž²àž¢àžàž²àž£àž­àž¢à¹àž²àžàžà¹àž²àž¢  
-
-List.metadata:à¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²à¹àžàžµà¹àž¢àž§àž«àž£àž·àž­àž£àž²àž¢àžàž²àž£à¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²àžàžµà¹àžàž±à¹àžàžà¹àž§àž¢à¹àžàž£àž·à¹àž­àžàž«àž¡àž²àž¢àžàžžàž¥àž àž²àžàžàžµà¹à¹àžà¹àžªàž³àž«àž£àž±àžàžàž²àž£à¹àž¢àžàžàž£àž°à¹àž àž àžàž²àž¡àž¥àž³àžàž±àžàžàžµà¹àžà¹àžàžàžµà¹à¹àžàž¢àž£àž²àž¢àžàž²àž£ àž£àž°àžàžàžàž°à¹àžà¹à¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž£àžàžàžµà¹àž¡àžµàžà¹àž²à¹àž¡àžàž²àžàž²àžàž² àž£àž²àž¢àžàž²àž£àžàž°àžàž¹àžàžàž±àžà¹àž£àžµàž¢àžàžàž²àž¡àž­àžàžà¹àžàž£àž°àžàž­àžàžàžµà¹ àžàž­àžàžàž²àžàžàžžàžàžàž°à¹àžà¹ -sort àžà¹àž²à¹àž¡à¹àž¡àžµàžàž²àž£àž£àž°àžàžžà¹àž¡àžàž²àžàž²àžàž² à¹àž­àžàžªàž²àž£àžàž±à¹àžàž«àž¡àžàžàž°àžàž¹àžàž£àž§àž¡à¹àž§à¹à¹àžàž£àž²àž¢àžàž²àž£ à¹àž¡à¹à¹àžà¹àžàžàž±à¹àžà¹àž¥à¹àž§ à¹àžàžàž²àž°à¹àž­àžàžªàž²àž£àžàžµà¹àž¡àžµàžà¹àž²à¹àž¡àžàž²àžàž²àžàž²à¹àžà¹àž²àžàž±à¹àžàžàžµà¹àžàž°àžàž¹àžàž£àž§àž¡à¹àžà¹àž²àž¡àž²  
-
-List.sort:à¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²àžàžµà¹àžàž°à¹àž£àžµàž¢àžàž¥àž³àžàž±àž à¹àž«à¹à¹àžà¹ '-sort nosort' à¹àž¡àž·à¹àž­à¹àž¡à¹àžà¹àž­àžàžàž²àž£à¹àž£àžµàž¢àžàž¥àž³àžàž±àž  
+SimpleList.desc:àžàž¥àž±à¹àžàž­àžŽàžàžàž±àž§à¹àž¢àžàžàž£àž°à¹àž àžàž£àž²àž¢àžàž²àž£àž­àž¢à¹àž²àžàžà¹àž²àž¢  
+
+SimpleList.metadata:à¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²à¹àžàžµà¹àž¢àž§àž«àž£àž·àž­àž£àž²àž¢àžàž²àž£à¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²àžàžµà¹àžàž±à¹àžàžà¹àž§àž¢à¹àžàž£àž·à¹àž­àžàž«àž¡àž²àž¢àžàžžàž¥àž àž²àžàžàžµà¹à¹àžà¹àžªàž³àž«àž£àž±àžàžàž²àž£à¹àž¢àžàžàž£àž°à¹àž àž àžàž²àž¡àž¥àž³àžàž±àžàžàžµà¹àžà¹àžàžàžµà¹à¹àžàž¢àž£àž²àž¢àžàž²àž£ àž£àž°àžàžàžàž°à¹àžà¹à¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž£àžàžàžµà¹àž¡àžµàžà¹àž²à¹àž¡àžàž²àžàž²àžàž² àž£àž²àž¢àžàž²àž£àžàž°àžàž¹àžàžàž±àžà¹àž£àžµàž¢àžàžàž²àž¡àž­àžàžà¹àžàž£àž°àžàž­àžàžàžµà¹ àžàž­àžàžàž²àžàžàžžàžàžàž°à¹àžà¹ -sort àžà¹àž²à¹àž¡à¹àž¡àžµàžàž²àž£àž£àž°àžàžžà¹àž¡àžàž²àžàž²àžàž² à¹àž­àžàžªàž²àž£àžàž±à¹àžàž«àž¡àžàžàž°àžàž¹àžàž£àž§àž¡à¹àž§à¹à¹àžàž£àž²àž¢àžàž²àž£ à¹àž¡à¹à¹àžà¹àžàžàž±à¹àžà¹àž¥à¹àž§ à¹àžàžàž²àž°à¹àž­àžàžªàž²àž£àžàžµà¹àž¡àžµàžà¹àž²à¹àž¡àžàž²àžàž²àžàž²à¹àžà¹àž²àžàž±à¹àžàžàžµà¹àžàž°àžàž¹àžàž£àž§àž¡à¹àžà¹àž²àž¡àž²  
+
+SimpleList.sort:à¹àžàžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²àžàžµà¹àžàž°à¹àž£àžµàž¢àžàž¥àž³àžàž±àž à¹àž«à¹à¹àžà¹ '-sort nosort' à¹àž¡àž·à¹àž­à¹àž¡à¹àžà¹àž­àžàžàž²àž£à¹àž£àžµàž¢àžàž¥àž³àžàž±àž  
 
 Phind.desc:àžªàž£à¹àž²àžàž¥àž³àžàž±àžàžàž±à¹àžàžàž­àžàž§àž¥àžµàžàžµà¹àžàžà¹àžàžà¹àž­àžàž§àž²àž¡ àžàž¶à¹àžàžªàž²àž¡àž²àž£àžà¹àž£àžµàž¢àžàžàž¹à¹àžà¹àžà¹àž²àžàžàž²àžà¹àž­àžà¹àžàž¥à¹àž  