Index: collections/documented-examples/trunk/isis-e/etc/collect.cfg
===================================================================
--- collections/documented-examples/trunk/isis-e/etc/collect.cfg	(revision 19185)
+++ collections/documented-examples/trunk/isis-e/etc/collect.cfg	(revision 19246)
@@ -9,5 +9,5 @@
 
 plugin		GreenstoneXMLPlugin
-plugin		ISISPlugin -subfield_separator ", " -entry_separator <br> -input_encoding dos_437 
+plugin		ISISPlugin -subfield_separator ", " -entry_separator <br> -input_encoding dos_437 -OIDtype incremental
 plugin		MetadataXMLPlugin
 plugin		ArchivesInfPlugin
@@ -52,5 +52,5 @@
 format HList "[link][highlight]{Or}{[dls.Title],[dc.Title],[Title],Untitled}[/highlight][/link]"
 
-
+collectionmeta sampleoid "D0s103"
 
 # -- English strings ----------------
@@ -210,5 +210,5 @@
 <a href=\"http://portal.unesco.org/ci/ev.php?URL_ID=2071&URL_DO=DO_TOPIC&URL_SECTION=201\">
 CDS/ISIS</a> database of bibliography entries.
-<a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=HASH53379408194d7e9fe100d5s103\">
+<a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=_sampleoid_\">
 Here</a> is an example record.\n
 
@@ -223,5 +223,7 @@
 versions of the DOS operating system). It has also been given a subfield
 separator argument, whose purpose is explained below.\n
-
+The <i>-OIDtype incremental</i> plugin option was used to give identifiers
+that are consistent across different operating systems (which may not happen with HASH identifiers), so that we can link to a document in
+this description.\n
 <p>
 Like the <a href=\"_gwcgi_?l=_cgiargl_&a=p&p=about&c=documented-examples/bibtex-e\">bibliography
@@ -277,5 +279,5 @@
 # -- French text ----------------
 collectionmeta	collectionextra [l=fr] "
-Cette collection montre une base de donnÃ©es <a href=\"http://portal.unesco.org/ci/ev.php?URL_ID=2071&amp;URL_DO=DO_TOPIC&amp;URL_SECTION=201\">CDS/ISIS</a> d\'entrÃ©es bibliographiques. <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=HASH53379408194d7e9fe100d5s103\">Voici</a> un exemple d\'enregistrement.
+Cette collection montre une base de donnÃ©es <a href=\"http://portal.unesco.org/ci/ev.php?URL_ID=2071&amp;URL_DO=DO_TOPIC&amp;URL_SECTION=201\">CDS/ISIS</a> d\'entrÃ©es bibliographiques. <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=_sampleoid_\">Voici</a> un exemple d\'enregistrement.
 
 <h3>Comment fonctionne la collection ?</h3>
@@ -283,5 +285,5 @@
 <p>
 Le <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>fichier de configuration de collection</a> spÃ©cifie le plugin ISISPlugin qui traite les base sdonnÃ©es CDS/ISIS. _text1_ Dans ce cas, un argument <i>input_encoding</i> a Ã©tÃ© attribuÃ© au plugin parce quelques entrÃ©es dans la base de donnÃ©es contiennent des caractÃšres Ã©tendus (dans une forme qui Ã©tait utilisÃ©e dans les toutes premiÃšres versions du systÃšme d\'exploitation DOS). On lui aussi attribuÃ© un argument de sÃ©paration de sous-champ dont l\'objet est explquÃ© ci-dessous.
-
+_text2_
 <p>
 Comme la <a href=\"_gwcgi_?l=_cgiargl_&a=p&p=about&c=documented-examples/bibtex-e\">collection de bibliographie</a>, cette collection incorpore une <a href=\"_gwcgi_?l=_cgiargl_&a=q&c=_cgiargc_&ct=1&qto=3&qt=1\">interface de recherche basÃ©e sur des formulaire</a> qui permet la recherche basÃ©e sur des champs. Ceci est spÃ©cifiÃ© par la ligne <i>format SearchTypes \"form,plain\"</i> dans le fichier de configuration; l\'argument <i>simple</i> garantit qu\'il y ait aussi une fonction de recherche textuelle (qui peut Ãªtre sÃ©lectionnÃ©e Ã  partir de la page de <a href=\"_gwcgi_?l=_cgiargl_&a=p&p=preferences&c=_cgiargc_\">PrÃ©fÃ©rences</a>). La ligne <i>groupsize 100</i> regroupe les documents en lots de 100 (comme expliquÃ© dans la <a href=\"_gwcgi_?l=_cgiargl_&a=p&p=about&c=documented-examples/bibtex-e\">collection de bibliographie</a>).
@@ -304,5 +306,5 @@
 # -- Spanish text ----------------
 collectionmeta	collectionextra [l=es] "
-Esta colecciÃ³n muestra una base de datos <a href=\"http://portal.unesco.org/ci/ev.php?URL_ID=2071&URL_DO=DO_TOPIC&URL_SECTION=201\">CDS/ISIS</a> de entradas bibliogrÃ¡ficas. He <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=HASH53379408194d7e9fe100d5s103\">aquÃ­</a> un ejemplo de registro.
+Esta colecciÃ³n muestra una base de datos <a href=\"http://portal.unesco.org/ci/ev.php?URL_ID=2071&URL_DO=DO_TOPIC&URL_SECTION=201\">CDS/ISIS</a> de entradas bibliogrÃ¡ficas. He <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=_sampleoid_\">aquÃ­</a> un ejemplo de registro.
 
 <h3>CÃ³mo trabaja esta colecciÃ³n</h3>\n
@@ -310,5 +312,5 @@
 <p>
 El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a> especifica el plugin ISISPlugin, el cual procesa las bases de datos CDS/ISIS. _text1_ En este caso al plugin se le ha dado un argumento <i>input_encoding</i>, ya que algunas entradas de la base de datos contienen caracteres extendidos (en una forma que se uso en versiones tempranas del sistema operativo DOS). TambiÃ©n se le ha dotado de un argumento separador de subcampos, cuyo propÃ³sito se explica mÃ¡s adelante.
-
+_text2_
 <p>
 Al igual que la <a href=\"_gwcgi_?l=_cgiargl_&a=p&p=about&c=documented-examples/bibtex-e\">colecciÃ³n bibliogrÃ¡fica</a>, esta colecciÃ³n incorpora una <a href=\"_gwcgi_?l=_cgiargl_&a=q&c=_cgiargc_&ct=1&qto=3&qt=1\">interfaz de bÃºsqueda basada en formas</a> que permite la bÃºsqueda por campos. Esto se especifica por medio de la lÃ­nea <i>format SearchTypes \"form,plain\"</i> (forma searchtype de sÃ³lo texto) en el archivo de configuraciÃ³n; el argumento <i>plain</i> (sÃ³lo texto) asegura que se cuenta igualmente con una funciÃ³n de bÃºsqueda de texto completo (la cual se puede seleccionar en la pÃ¡gina de <a href=\"_gwcgi_?l=_cgiargl_&a=p&c=_cgiargc_&p=preferences\">Preferencias</a>). La lÃ­nea <i>groupsize 100</i> junta los documentos en grupos de 100 (tal como se explicÃ³ en la <a href=\"_gwcgi_?l=_cgiargl_&a=p&p=about&c=documented-examples/bibtex-e\">colecciÃ³n bibliogrÃ¡fica</a>).
@@ -331,5 +333,5 @@
 Ð­ÑÐ° ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ Ð¿ÐŸÐºÐ°Ð·ÑÐ²Ð°ÐµÑ Ð±Ð°Ð·Ñ ÐŽÐ°ÐœÐœÑÑ
  Ð±ÐžÐ±Ð»ÐžÐŸÐ³ÑÐ°ÑÐžÑÐµÑÐºÐžÑ
- Ð·Ð°Ð¿ÐžÑÐµÐ¹ <a href=\"http://portal.unesco.org/ci/ev.php?URL_ID=2071&URL_DO=DO_TOPIC&URL_SECTION=201\">CDS/ISIS</a>. <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=HASH53379408194d7e9fe100d5s103\">ÐÐŽÐµÑÑ Ð¿ÑÐžÐ²ÐŸÐŽÐžÑÑÑ Ð¿ÑÐžÐŒÐµÑ Ð·Ð°Ð¿ÐžÑÐž</a>.
+ Ð·Ð°Ð¿ÐžÑÐµÐ¹ <a href=\"http://portal.unesco.org/ci/ev.php?URL_ID=2071&URL_DO=DO_TOPIC&URL_SECTION=201\">CDS/ISIS</a>. <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&d=_sampleoid_\">ÐÐŽÐµÑÑ Ð¿ÑÐžÐ²ÐŸÐŽÐžÑÑÑ Ð¿ÑÐžÐŒÐµÑ Ð·Ð°Ð¿ÐžÑÐž</a>.
 
 <h3>ÐÐ°Ðº ÑÐ°Ð±ÐŸÑÐ°ÐµÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ</h3>
@@ -341,5 +343,5 @@
  Ð²ÐµÑÑÐžÑÑ
  ÐŸÐ¿ÐµÑÐ°ÑÐžÐŸÐœÐœÐŸÐ¹ ÑÐžÑÑÐµÐŒÑ DOS). ÐÐŒÑ ÑÐ°ÐºÐ¶Ðµ Ð±ÑÐ» ÐŽÐ°Ðœ Ð¿Ð°ÑÐ°ÐŒÐµÑÑ ÑÐ°Ð·ÐŽÐµÐ»ÐµÐœÐžÑ, ÑÐµÐ»Ñ ÐºÐŸÑÐŸÑÐŸÐ³ÐŸ ÐŸÐ±ÑÑÑÐœÑÐµÑÑÑ ÐœÐžÐ¶Ðµ.
-
+_text2_
 <p>
 ÐÐŸÐŽÐŸÐ±ÐœÐŸ <a href=\"_gwcgi_?l=_cgiargl_&a=p&p=about&c=documented-examples/bibtex-e\">Ð±ÐžÐ±Ð»ÐžÐŸÐ³ÑÐ°ÑÐžÑÐµÑÐºÐŸÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž</a>, ÑÑÐ° ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ Ð²ÐºÐ»ÑÑÐ°ÐµÑ Ð±Ð»Ð°ÐœÐŸÑÐœÑÐ¹ <a href=\"_gwcgi_?l=_cgiargl_&a=q&c=_cgiargc_&ct=1&qto=3&qt=1\">ÐžÐœÑÐµÑÑÐµÐ¹Ñ Ð¿ÐŸÐžÑÐºÐ°</a>, ÐºÐŸÑÐŸÑÑÐ¹ Ð¿ÐŸÐ·Ð²ÐŸÐ»ÑÐµÑ Ð¿ÑÐŸÐžÐ·Ð²ÐŸÐŽÐžÑÑ Ð¿ÐŸÐžÑÐº Ð¿ÐŸ Ð¿ÐŸÐ»ÑÐŒ. Ð­ÑÐŸ ÐŸÐ¿ÑÐµÐŽÐµÐ»ÐµÐœÐŸ ÑÑÑÐŸÐºÐŸÐ¹ <i>format SearchTypes \"form,plain\"</i> Ð² ÐºÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÐŸÐŒ ÑÐ°Ð¹Ð»Ðµ; Ð¿Ð°ÑÐ°ÐŒÐµÑÑ <i>plain</i> Ð³Ð°ÑÐ°ÐœÑÐžÑÑÐµÑ, ÑÑÐŸ Ð·ÐŽÐµÑÑ ÐžÐŒÐµÐµÑÑÑ ÑÐ°ÐºÐ¶Ðµ Ð¿ÑÐŸÑÑÐŸÐµ ÑÑÐµÐŽÑÑÐ²ÐŸ Ð¿ÐŸÐ»ÐœÐŸÐ³ÐŸ ÑÐµÐºÑÑÐŸÐ²ÐŸÐ³ÐŸ Ð¿ÐŸÐžÑÐºÐ° (ÐºÐŸÑÐŸÑÐŸÐµ ÐŒÐŸÐ¶ÐµÑ Ð±ÑÑÑ Ð²Ð·ÑÑÐŸ ÐžÐ· ÑÑÑÐ°ÐœÐžÑÑ <a href=\"_gwcgi_?l=_cgiargl_&a=p&c=_cgiargc_&p=preferences\">ÐÑÐµÐŽÐ¿ÐŸÑÑÐµÐœÐžÐ¹</a>). Ð¡ÑÑÐŸÐºÐ° <i>groupsize 100</i> ÐŸÐ±ÑÐµÐŽÐžÐœÑÐµÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ Ð² Ð³ÑÑÐ¿Ð¿Ñ Ð¿ÐŸ 100 (ÐºÐ°Ðº ÐŸÐ±ÑÑÑÐœÐµÐœÐŸ Ð² <a href=\"_gwcgi_?l=_cgiargl_&a=p&p=about&c=documented-examples/bibtex-e\">Ð±ÐžÐ±Ð»ÐžÐŸÐ³ÑÐ°ÑÐžÑÐµÑÐºÐŸÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž</a>).