Index: release-kits/cdrk2/ant-scripts/build.xml
===================================================================
--- release-kits/cdrk2/ant-scripts/build.xml	(revision 19039)
+++ release-kits/cdrk2/ant-scripts/build.xml	(revision 19328)
@@ -23,14 +23,22 @@
 
 	<!-- figure out where the compiled software is coming from -->
-	<property name="software.archive.linux" value="http://greenstone.org/release-snapshots/cdrom-components-${version}-linux.tar.gz"/>
-	<property name="software.archive.windows" value="http://greenstone.org/release-snapshots/cdrom-components-${version}-windows.tar.gz"/>
-	<property name="software.archive.mac" value="http://greenstone.org/release-snapshots/cdrom-components-${version}-mac.tar.gz"/>
+	<property name="software.archive.linux" value="http://greenstone.org/release-snapshots/cdrom-components-2s${date}-linux.tar.gz"/>
+	<property name="software.archive.windows" value="http://greenstone.org/release-snapshots/cdrom-components-2s${date}-windows.tar.gz"/>
+	<property name="software.archive.mac" value="http://greenstone.org/release-snapshots/cdrom-components-2s${date}-mac.tar.gz"/>
+	<property name="software.archive.documented-examples" value="http://greenstone.org/release-snapshots/Greenstone-documented-examples-${date}.tar.gz"/>
+
+	<target name="cdrk2-init">
+		<echo message="software.archive.linux:                    ${software.archive.linux}"/>
+		<echo message="software.archive.windows:                  ${software.archive.windows}"/>
+		<echo message="software.archive.mac:                      ${software.archive.mac}"/>
+		<echo message="software.archive.documented-examples:      ${software.archive.documented-examples}"/>
+	</target>
 
 	<!-- THE MAIN TARGET -->
-	<target name="cdrk2" depends="init">
+	<target name="cdrk2" depends="init,cdrk2-init">
 		<antcall target="checkout-and-compile-documentation"/>
 		<antcall target="build-tutorials"/>
 		<antcall target="build-documentation"/>
-		<antcall target="export-documented-example-collections"/>
+		<antcall target="get-documented-examples"/>
 		<antcall target="insert-readmes"/>
 		<antcall target="insert-software"/>
@@ -40,8 +48,13 @@
 	<target name="properties">
 		<echo>Required Properties:</echo>
-		<echo>version             the version string for the release</echo>
+		<echo>version                                     the version string for the release</echo>
 		<echo/>
-	</target>
-
+		<echo>Optional Properties:</echo>
+		<echo>software.archive.linux                      the URL to the linux archive of components</echo>
+		<echo>software.archive.windows                    the URL to the windows archive of components</echo>
+		<echo>software.archive.mac                        the URL to the mac archive of components</echo>
+		<echo>software.archive.documented-examples        the URL to the archive of documented examples</echo>
+		<echo/>
+	</target>
 
 	<target name="checkout-and-compile-documentation">
@@ -111,8 +124,8 @@
 	</target>
 
-	<target name="export-documented-example-collections">
-		<svn>
-			<export srcurl="${svn.root}/documented-example-collections/${branch.path}" destPath="cdrom/Documented Example Collections"/>
-		</svn>
+	<target name="get-documented-examples">
+		<mkdir dir="archives"/>
+		<get src="${software.archive.documented-examples}" dest="archives/documented-examples.tar.gz"/>
+		<untar src="archives/documented-examples.tar.gz" dest="cdrom" compression="gzip" overwrite="true"/>
 	</target>
 
@@ -150,14 +163,14 @@
 	<target name="insert-software-linux">
 		<mkdir dir="cdrom/Software"/>
-		<mkdir dir="software"/>
-		<get src="${software.archive.linux}" dest="software/linux.tar.gz"/>
-		<untar src="software/linux.tar.gz" dest="cdrom/Software" compression="gzip" overwrite="true"/>
+		<mkdir dir="archives"/>
+		<get src="${software.archive.linux}" dest="archives/linux.tar.gz"/>
+		<untar src="archives/linux.tar.gz" dest="cdrom/Software" compression="gzip" overwrite="true"/>
 	</target>
 
 	<target name="insert-software-windows">
 		<mkdir dir="cdrom/Software"/>
-		<mkdir dir="software"/>
-		<get src="${software.archive.windows}" dest="software/windows.tar.gz"/>
-		<untar src="software/windows.tar.gz" dest="cdrom/Software" compression="gzip" overwrite="true"/>
+		<mkdir dir="archives"/>
+		<get src="${software.archive.windows}" dest="archives/windows.tar.gz"/>
+		<untar src="archives/windows.tar.gz" dest="cdrom/Software" compression="gzip" overwrite="true"/>
 	</target>
 