Index: gsdl/trunk/perllib/strings_es.properties
===================================================================
--- gsdl/trunk/perllib/strings_es.properties	(revision 19245)
+++ gsdl/trunk/perllib/strings_es.properties	(revision 19334)
@@ -1,5 +1,4 @@
 #
 # Resource bundle description
-# Translations updated by Diego Spano in March 2009
 #
 
@@ -49,5 +48,5 @@
 common.false:falso  
 
-common.deprecated:DEPRECIADA  
+common.deprecated:SUSTITUIDO  
 #
 # Script option descriptions and output messages
@@ -192,5 +191,6 @@
 explode.metadata_set:Conjunto de metadatos (espacio de nombres) para exportar todos los metadatos
 explode.plugin:Plugin a utilizar para explotar
-explode.plugin_options:Opciones a pasarle al plugin antes de ejecutarse. Los nombres de opciÃ³n deben comenzar con -. Separar nombres de opciÃ³n y valores con espacios.  
+explode.plugin_options:Opciones a pasarle al plugin antes de ejecutarse. Los nombres de opciÃ³n deben comenzar con -. Separar nombres de opciÃ³n y valores con espacios. No puede usarse con -use_collection_plugin_options.  
+explode.use_collection_plugin_options:Leer el archivo de configuraciÃ³n de la colecciÃ³n y usar las opciones para el plugin especificado. Requiere la opciÃ³n -collection. No puede usarse junto a la opciÃ³n -plugin_options.  
 explode.params:[opciones] nombre de archivo
 explode.records_per_folder:NÃºmero de registros a situar en cada subcarpeta.  
@@ -563,9 +563,41 @@
 DateList.sort:Un campo de metadato extra para ordenar en el caso de que dos documentos tengan la misma fecha.  
 
-List.always_bookshelf_last_level:Crear un icono de estanterÃ­a incluso aunque sÃ³lo haya un elemento de cada grupo en los nodos principales  
+HFileHierarchy.desc:Plugin clasificador para generar clasificaciones jerÃ¡rquicas basadas en una estructura existente en un archivo suplementario.
+
+Hierarchy.desc:Plugin clasificador para generar una clasificaciÃ³n jerÃ¡rquica. Ãsta debe basarse en metadatos estructurados, o debe usar un fichero suplementario de estructura (usar la opciÃ³n -hfile)  
+
+Hierarchy.documents_last:Muestra nodos de documento despÃºes de los nodos de clasificadores.  
+
+Hierarchy.hfile:Usa el fichero de estructura de clasificaciÃ³n especificado.  
+
+Hierarchy.hlist_at_top:Despliega el primer nivel de clasificaciÃ³n horizontalmente
+
+Hierarchy.reverse_sort:Ordenar hojas de nodos en orden inverso (usar con -sort).
+
+Hierarchy.separator:ExpresiÃ³n regular utilizada por el separador
+
+Hierarchy.sort:Campo de metadato para clasificar nodos anidados. Los dejarÃ¡ sin clasificar si no se indica.  
+
+Hierarchy.suppressfirstlevel:Ignorar la primera parte del valor del metadato. Esto es Ãºtil para metadatos en los cuales el primer valor es comÃºn, como el directorio de importaciÃ³n en gsdlsourcefilename.  
+
+Hierarchy.suppresslastlevel:Ignorar la parte final del valor del metadato. Es Ãºtil para metadatos en los cuales cada valor es Ãºnico, como en la rutas de archivos.
+
+HTML.desc:Crea una clasificaciÃ³n vacÃ­a que simplemente es un link a una pÃ¡gina web.
+
+HTML.url:El url de la pÃ¡gina web para unirse a.
+
+List.bookshelf_type:Controla cuando crear estantes  
+List.bookshelf_type.always:Crea un Ã­cono de estante aun cuando haya en cada grupo un Ãºnico nodo hijo.  
+List.bookshelf_type.never:Nunca crear un icono de estante aun cuando existan mÃ¡s de un item en cada grupo.  
+List.bookshelf_type.duplicate_only:Crea un Ã­cono de estante solo cuando haya mÃ¡s de un nodo hijo en cada grupo.  
 
 List.classify_sections:Clasifica secciones en lugar de documentos.  
 
-List.desc:Clasificador de lista general y flexible con muchas de las posibilidades de AZCompactList, pero con mejor capacidad de ordenaciÃ³n, metadatos y Unicode.  
+List.desc:Clasificador de lista general y flexible con muchas de las posibilidades de AZCompactList, pero con mejor capacidad de ordenaciÃ³n, metadatos y Unicode.
+  
+List.level_partition.per_letter:Crear una particiÃ³n para cada letra.  
+List.level_partition.constant_size:Crear particiones de tamaÃ±o constante  
+List.level_partition.per_letter_fixed_size:Crear una particiÃ³n por letra con un tamaÃ±o fijo aproximado.  
+
 List.metadata:Campos de metadatos usados para la clasificaciÃ³n. Use '/' para separar los niveles de la jerarquÃ­a y ';' para separar los campos de metadatos dentro de cada nivel.  
 
@@ -582,32 +614,8 @@
 List.use_hlist_for:Campos de metadato para usar una hlist mejor que una vlist. Use ',' para separar los grupos de metadatos y ';' para separar los campos de metadatos dentro de cada grupo.  
 
-HFileHierarchy.desc:Plugin clasificador para generar clasificaciones jerÃ¡rquicas basadas en una estructura existente en un archivo suplementario.
-
-Hierarchy.desc:Plugin clasificador para generar una clasificaciÃ³n jerÃ¡rquica. Ãsta debe basarse en metadatos estructurados, o debe usar un fichero suplementario de estructura (usar la opciÃ³n -hfile)  
-
-Hierarchy.documents_last:Muestra nodos de documento despÃºes de los nodos de clasificadores.  
-
-Hierarchy.hfile:Usa el fichero de estructura de clasificaciÃ³n especificado.  
-
-Hierarchy.hlist_at_top:Despliega el primer nivel de clasificaciÃ³n horizontalmente
-
-Hierarchy.reverse_sort:Ordenar hojas de nodos en orden inverso (usar con -sort).
-
-Hierarchy.separator:ExpresiÃ³n regular utilizada por el separador
-
-Hierarchy.sort:Campo de metadato para clasificar nodos anidados. Los dejarÃ¡ sin clasificar si no se indica.  
-
-Hierarchy.suppressfirstlevel:Ignorar la primera parte del valor del metadato. Esto es Ãºtil para metadatos en los cuales el primer valor es comÃºn, como el directorio de importaciÃ³n en gsdlsourcefilename.  
-
-Hierarchy.suppresslastlevel:Ignorar la parte final del valor del metadato. Es Ãºtil para metadatos en los cuales cada valor es Ãºnico, como en la rutas de archivos.
-
-HTML.desc:Crea una clasificaciÃ³n vacÃ­a que simplemente es un link a una pÃ¡gina web.
-
-HTML.url:El url de la pÃ¡gina web para unirse a.
+SimpleList.metadata:Un solo campo de metadatos o una lista de campos de metadatos separados por una coma y usados para clasificaciÃ³n. Siguiendo el orden indicado por la lista, se usarÃ¡ el primer campo que contiene un valor de metadato. La lista se ordenarÃ¡ por este elemento, a menos que se use -sort. Si no se especifica metadato, entonces todos los documentos se incluirÃ¡n en la lista, en otro caso sÃ³lo se incluirÃ¡n aquellos documentos que contengan un valor de metadato.  
 
 SimpleList.desc:Plugin clasificador para lista simple.  
 
-SimpleList.metadata:Un solo campo de metadatos o una lista de campos de metadatos separados por una coma y usados para clasificaciÃ³n. Siguiendo el orden indicado por la lista, se usarÃ¡ el primer campo que contiene un valor de metadato. La lista se ordenarÃ¡ por este elemento, a menos que se use -sort. Si no se especifica metadato, entonces todos los documentos se incluirÃ¡n en la lista, en otro caso sÃ³lo se incluirÃ¡n aquellos documentos que contengan un valor de metadato.  
-
 SimpleList.sort:Campo de metadato a partir del cual se harÃ¡ la ordenaciÃ³n. Use '-sort nosort' para no ordenar.  
 
@@ -790,5 +798,5 @@
 DirectoryPlugin.recheck_directories:DespuÃ©s de procesar los archivos en un directorio de importaciÃ³n, vuelva a leer el directorio para descubrir los nuevos archivos creados.
 
-DirectoryPlugin.use_metadata_files:(RECHAZADO - AÃ±adir MetadataXMLPlug a la lista de pligins). Lee metadatos de los ficheros de metadatos XML.  
+DirectoryPlugin.use_metadata_files:(SUSTITUIDO - AÃ±adir MetadataXMLPlug a la lista de plugins). Lee metadatos de los ficheros de metadatos XML.  
 
 DatabasePlugin.desc:Conector que importa registros de una base de datos. Usa el mÃ³dulo Perl DBI, que incluye soporte para mysql, postgresql, valores separados por comas (CSV), MS Excel, ODBC, sybase, etc... Pueden necesitarse mÃ³dulos extra para su uso. VÃ©ase <GSDLHOME>/etc/packages/example.dbi para un ejemplo de uso.  
@@ -976,9 +984,9 @@
 MARCPlugin.desc:Plugin MARC bÃ¡sico.
 
-MARCPlugin.metadata_mapping:Nombre de fichero que incluye la correspondencia detallada de valores MARC para los nombres de los metadatos de Greenstone. Predeterminado a 'marctodc.txt' que se encuentra en el directorio etc del sitio.  
+MARCPlugin.metadata_mapping:Nombre de fichero que incluye la correspondencia detallada de valores MARC para los nombres de los metadatos de Greenstone. Predeterminado a 'marc2dc.txt' que se encuentra en el directorio etc del sitio.  
 
 MARCXMLPlugin.desc:Plugin MARCXML  
 
-MARCXMLPlugin.metadata_mapping_file:Nombre del fichero que incluye los detalles de mapeado de valores MARC a nombres de metadatos Greenstone. Predefinido a 'marctodc.txt', en el directorio etc del sitio.  
+MARCXMLPlugin.metadata_mapping_file:Nombre del fichero que incluye los detalles de mapeado de valores MARC a nombres de metadatos Greenstone. Predefinido a 'marc2dc.txt', en el directorio etc del sitio.  
 
 MediaWikiPlugin.desc:Plugin para importar pÃ¡ginas web de MediaWiki  
@@ -1006,5 +1014,5 @@
 MetadataXMLPlugin.desc:Conector que procesa archivos metadata.xml.  
 
-MetadataEXIFPlugin.desc:Conector que extrae metados EXIF de imÃ¡genes, audio y video. MÃ¡s especÃ­ficamente, estÃ¡ basado en el mÃ³dulo CPAN 'ExifTool'. Actualmente soporta muchos mas formatos de los que sugiere el nombre (ej. GPS, XMP, FlashPix, ID3, Vorbis). El conector se beneficia de esto y ha sido diseÃ±ado para soportar todos los formatos que admite ExifTool. Ver la documentaciÃ³n de ExifTool para los esquemas de metadatos y tipos de archivos soportados.  
+MetadataEXIFPlugin.desc:Conector que extrae metadatos EXIF de imÃ¡genes, audio y video. MÃ¡s especÃ­ficamente, estÃ¡ basado en el mÃ³dulo CPAN 'ExifTool'. Actualmente soporta muchos mas formatos de los que sugiere el nombre (ej. GPS, XMP, FlashPix, ID3, Vorbis). El conector se beneficia de esto y ha sido diseÃ±ado para soportar todos los formatos que admite ExifTool. Ver la documentaciÃ³n de ExifTool para los esquemas de metadatos y tipos de archivos soportados.  
 
 GreenstoneMETSPlugin.desc:Procesa documentos METS en el estilo de Greenstone  
@@ -1028,4 +1036,8 @@
 
 OAIPlugin.document_field:El elemento de metadato que especifica el nombre del archivo del documento al cual adjuntar los metadatos.  
+
+OAIPlugin.metadata_set:Conjunto de metadatos (prefijo del nombre de esquema) al cual importar todos los metadatos  
+OAIPlugin.metadata_set.auto:Usar los prefijos especificados en el registro OAI  
+OAIPlugin.metadata_set.dc:Usar el prefijo dc. MapearÃ¡ elementos dc cualificados a su forma Greenstone, por ej., spatial se convertirÃ¡ en dc.Coverage^spatial.  
 
 OggVorbisPlugin.add_technical_metadata:AÃ±adir metadatos tÃ©cnicos (ej. bitrate)
@@ -1204,5 +1216,4 @@
 WebDownload.within:SÃ³lo ficheros de copia dentro del mismo sitio  
 WebDownload.within_disp:SÃ³lo archivos dentro del sitio
-  
 WebDownload.html_only:Descaragar sÃ³lo ficheros HTML, e ignorar ficheros asociados, por ej. imÃ¡genes y hojas de estilo  
 WebDownload.html_only_disp:SÃ³lo archivos HTML  