Index: /gli/trunk/classes/dictionary_es.properties
===================================================================
--- /gli/trunk/classes/dictionary_es.properties	(revision 19336)
+++ /gli/trunk/classes/dictionary_es.properties	(revision 19337)
@@ -10,5 +10,5 @@
 #***** AboutDialog *****
 AboutDialog.Acknowledgement:Reconocimientos de marca de paquetes, clases y programas propietarios...
-AboutDialog.Date:(Julio 2007)
+AboutDialog.Date:(Abril 2009)  
 AboutDialog.Item0:Xerces Java 1' de The Apache Software Foundation (http://www.apache.org/)
 AboutDialog.Item2:WGet' de Free Software Foundation, Inc. (http://www.gnu.org/software/wget/wget.html)
@@ -27,5 +27,5 @@
 AboutDialog.Title_One:Interfaz de la Biblioteca Digital Greenstone
 AboutDialog.Title_Two:Biblioteca Digital Greenstone, Universidad de Waikato
-AboutDialog.Copyright:Copyright (C) 2007 New Zealand Digital Library Project  
+AboutDialog.Copyright:Copyright (C) 2003-2009 New Zealand Digital Library Project  
 AboutDialog.Copyright_Two:Publicado conforme a los tÃ©rminos y condiciones de la Licencia PÃºblica General. Para mayor informaciÃ³n vea LICENSE.txt
 #***********************
@@ -233,5 +233,5 @@
 CDM.PlugInManager.PlugIn_XML_Parse_Failed:Imposible determinar los argumentos para el plugin {0}\n. Por favor, asegÃºrese que el plugin contiene\nel indicador -xml ejecutando el guiÃ³n pluginfo.pl descrito\nen la secciÃ³n 2.1 de la GuÃ­a del Programador de Greenstone.  
 CDM.PluginManager.Plugin_List_XML_Parse_Failed:Imposible obtener la lista de plugins usando pluginfo.pl -listall.  
-CDM.PluginManager.Plugin_Suggestion_Prompt:Ninguno de los conectores de esta colecciÃ³n puede procesar el archivo "{0}". (De todas maneras, puede ser incluido en la colecciÃ³n si pertenece a otro archivo, como por ejemplo, una imagen de una pÃ¡gina web.) Los conectores siguientes pueden llegar a procesarlo. Puede agregar un conector ahora a su colecciÃ³n seleccionÃ¡ndolo y presionando el botÃ³n "Agregar". (Note que puede cambiar la lista de conectores en cualquier momento desde el Panel de DiseÃ±o en la secciÃ³n "Plugins del documento")   
+CDM.PluginManager.Plugin_Suggestion_Prompt:Ninguno de los conectores de esta colecciÃ³n puede procesar el archivo "{0}". (De todas maneras, puede ser incluido en la colecciÃ³n si pertenece a otro archivo, como por ejemplo, una imagen de una pÃ¡gina web.) Los conectores siguientes pueden llegar a procesarlo. Puede agregar un conector ahora a su colecciÃ³n seleccionÃ¡ndolo y presionando el botÃ³n "Agregar". (Note que puede cambiar la lista de conectores en cualquier momento desde el Panel de DiseÃ±o en la secciÃ³n "Plugins del documento")
 CDM.PlugInManager.Remove:Eliminar plugin
 CDM.PlugInManager.Remove_Tooltip:Elimina el plugin seleccionado de la lista
@@ -256,5 +256,4 @@
 CDM.SubcollectionManager.Name:Nombre del filtro de la subcolecciÃ³n:
 CDM.SubcollectionManager.Name_Tooltip:Es el nombre del nuevo filtro de la subcolecciÃ³n
-CDM.SubcollectionManager.Partitions_Disabled:Este programa no estÃ¡ activo en este momento ya que usted estÃ¡ operando en el modo {0-Modo Actual}. Ãnicamente se puede tener acceso a Ã©l en los modos {1-Sistemas} y {2-Avanzado}. Utilice la opciÃ³n de Preferencias que se encuentra en el menÃº de Archivo para cambiar el modo de operaciÃ³n.
 CDM.SubcollectionManager.Remove:Eliminar filtro
 CDM.SubcollectionManager.Remove_Tooltip:Quita el filtro seleccionado de la lista
@@ -951,7 +950,4 @@
 Preferences.Mode.Librarian:Bibliotecario
 Preferences.Mode.Librarian_Description:Este control le da un uso normal de la Interfaz de Bibliotecario Greenstone: crear y diseÃ±ar nuevas colecciones, aÃ±adir documentos y metadatos a las colecciones y construir colecciones.
-  
-Preferences.Mode.Systems:Especialista en Sistemas de Bibliotecas
-Preferences.Mode.Systems_Description:Esta opciÃ³n permite el uso completo de la Interfaz de la Biblioteca Digital Greenstone. Para aprovechar todas las funciones disponibles usted deberÃ¡ ser capaz de formular expresiones regulares.
 Preferences.Mode.Expert:Avanzado
 Preferences.Mode.Expert_Description:Este control permite el uso avanzado de la Interfaz de la Biblioteca Digital Greenstone. Se recomienda para usuarios que tienen experiencia con Greenstone y son capaces de resolver problemas que impliquen interpretar la depuraciÃ³n de los resultados de los guiones PERL: Todas las funciones de la Biblioteca Digital estÃ¡n activas.
@@ -1001,5 +997,7 @@
 #
 Server.QuitManual:La Interfaz de la Biblioteca Digital no pudo cerrar el servidor local\n de forma automÃ¡tica. Por favor salga manualmente del servidor\n haciendo click en el icono en forma de tache o cruz que se encuentra en el Ã¡ngulo superior\n derecho de la pantalla y luego haga click en Aceptar.
-Server.QuitTimeOut:La biblioteca local Greenstone no ha respondido durante los Ãºltimos sesenta segundos a la\n instrucciÃ³n de cerrar. Â¿Desea\n esperar otro minuto?
+Server.QuitTimeOut:La biblioteca local Greenstone no ha respondido \n al comando de cierre por {0} segundos. \n. Â¿Desea esperar otros {0} segundos?
+  
+Server.StartUpTimeOut:La biblioteca local de Greenstone no ha respondido al comando \nde inicio por {0} segundos. Quiere esperar \notros {0} segundos?  
 #
 #***** Sources *****