Index: /gli/trunk/help/en/addingfiles.htm
===================================================================
--- /gli/trunk/help/en/addingfiles.htm	(revision 19337)
+++ /gli/trunk/help/en/addingfiles.htm	(revision 19338)
@@ -14,5 +14,5 @@
 <p>Files can be copied into the collection by dragging and dropping.  The mouse pointer becomes a ghost of the selected item (or, if more than one is selected, the number of them).  Drop the selection into the Collection Tree to copy the files there (if the source was the Workspace Tree) or move them around within the collection (if the source was the Collection Tree).</p>
 
-<p>When copying multiple files, they are all placed in the target folder at the same level, irrespective of the folder structure they occupied originally. When you copy a second file with the same name into the same folder, you are asked whether to overwrite the first one.  Respond "No" and the file will not be copied, but the others will be.  To cancel all remaining copy actions, click the "stop" button.</p>
+<p>When copying multiple files, they are all placed in the target folder at the same level, irrespective of the folder structure they occupied originally. When you copy a second file with the same name into the same folder, you are asked whether to overwrite the first one.  Respond "No" and the file will not be copied, but the others will be.  To cancel all remaining copy actions, click the "Stop" button.</p>
 
 <p>Only the "highest" items in a selection are moved.  A folder is higher than its children.  You cannot select files within a folder and also the folder itself.</p>
Index: /gli/trunk/help/en/assignlanguages.htm
===================================================================
--- /gli/trunk/help/en/assignlanguages.htm	(revision 19337)
+++ /gli/trunk/help/en/assignlanguages.htm	(revision 19338)
@@ -14,5 +14,7 @@
 <p>This section details how to restrict search indexes to particular languages. You do this by generating a partition using the "Assign Languages" tab of the "Partition Indexes" panel.</p>
 
-<p>To add a new language partition, use the "Assign Languages" tab to build an index for it.  Select one or more languages from the "Languages to add" list and click "Add Partition".</p>
+<p>Language partitions use metadata to determine which documents are in the specified languages and therefore should be included in the partition. Greenstone generates "ex.Language" metadata for most documents, and this is the default metadata to use. However, this can be changed by setting "Language Metadata:" to the correct metadata element.</p>
+
+<p>To add a new language partition, select one or more languages from the "Languages to add" list, and click "Add Partition".</p>
 
 <p>To change an existing partition, select it from the "Assigned Language Partitions" list, modify the selected languages in the "Languages to add" list below, and click "Replace Partition".</p>
Index: /gli/trunk/help/en/builderrors.htm
===================================================================
--- /gli/trunk/help/en/builderrors.htm	(revision 19337)
+++ /gli/trunk/help/en/builderrors.htm	(revision 19338)
@@ -12,5 +12,5 @@
 
 
-<p>Sometimes things go wrong during collection building. Maybe some files couldn't be processed: the rest of the collection builds fine, and can be previewed, but some documents are absent. Or the whole collection is not built properly, in which case a message says "An error has occurred and the collection could not be created." When this happens, it may be helpful to switch the GLI into expert mode (File-&gt;Preferences-&gt;Mode, see <a href="preferences.htm">Preferences</a>), set the build option "verbosity" to 5, and rebuild, to see if there are any other error messages.</p>
+<p>Sometimes things go wrong during collection building. Maybe some files couldn't be processed: the rest of the collection builds fine, and can be previewed, but some documents are absent. Or the whole collection is not built properly, in which case a message says "An error has occurred and the collection could not be created." When this happens, it may be helpful to switch the GLI into expert mode (File-&gt;Preferences-&gt;Mode, see <a href="preferences.htm">Preferences</a>), set the import and build "verbosity" options to 5, and rebuild, to see if there are any other error messages.</p>
 
 </body>
Index: /gli/trunk/help/en/depositormetadatasettings.htm
===================================================================
--- /gli/trunk/help/en/depositormetadatasettings.htm	(revision 19337)
+++ /gli/trunk/help/en/depositormetadatasettings.htm	(revision 19338)
@@ -12,9 +12,9 @@
 
 
-<p>The Greenstone Depositor enables user to add new documents into an existing collection through web interface. This section describes the Depositor Metadata pane, where you can specify which metadata fields should be used to describe the new documents added through Depositor. Any metadata sets that have been associated with the current collection will be available for selection. If there is no other metadata set than the "Greenstone Extracted Metadata Set" associated with the collection, the "Dublin Core Metadata Set" will be used as default. To learn more about the Depositor, see the online tutorial exercise at http://wiki.greenstone.org/wiki/gsdoc/tutorial/en/depositor.htm. Under the "Format" tab, click "Depositor Metadata".</p>
+<p>The Greenstone Depositor enables user to add new documents into an existing collection through a web interface. This section describes the Depositor Metadata pane, where you can specify which metadata fields should be used to describe the new documents added through Depositor. Any metadata sets that have been associated with the current collection will be available for selection. If there is no other metadata set than the "Greenstone Extracted Metadata Set" associated with the collection, the "Dublin Core Metadata Set" will be used as default. To learn more about the Depositor, see the online tutorial exercise at http://wiki.greenstone.org/wiki/gsdoc/tutorial/en/depositor.htm. Under the "Format" tab, click "Depositor Metadata".</p>
 
-<p>The Depositor Metadata panel shows a checklist of available metadata fields. If there were more than one metadata sets associated with the collection, neighbouring metadata sets are displayed in different colours. Hover the mouse over a metadata element: a tool-tip displaying its description will appear.</p>
+<p>The Depositor Metadata panel shows a checklist of available metadata fields. If there is more than one metadata set associated with the collection, neighbouring metadata sets are displayed in different colours. Hover the mouse over a metadata element: a tool-tip displaying its description will appear.</p>
 
-<p>Check those you want to be used to describe new documents when they are deposited through the Depositor. A drop-down list with two choices will appear right after each checked element. This allows you to specify the type of input box for the element in the web interface. "text" means that a single line input box will be used, whereas "textarea" means that a multi-line input box will be used. Select an appropirate box type for each field.</p>
+<p>Check those you want to be used to describe new documents when they are deposited through the Depositor. A drop-down list with two choices will appear beside each checked element. This allows you to specify the type of input box for the element in the web interface. "text" means that a single line input box will be used, whereas "textarea" means that a multi-line input box will be used. Select an appropirate box type for each field.</p>
 
 <p>At least one metadata element must be selected. If there is only one selected element in the list, de-selecting it will pop-up a warning message: "At least one metadata element should be selected.".</p>
Index: /gli/trunk/help/en/explodingfiles.htm
===================================================================
--- /gli/trunk/help/en/explodingfiles.htm	(revision 19337)
+++ /gli/trunk/help/en/explodingfiles.htm	(revision 19338)
@@ -12,9 +12,9 @@
 
 
-<p>Metadata database file types, such as MARC, CDS/ISIS, BibTex, Refer and ProCite, can be imported into Greenstone but their metadata cannot be IMMEDIATELY viewed or edited in the Librarian Interface. To see or edit any metadata, you can "explode" the file in the Librarian Interface and view or edit the metadata afterwards. Alternatively, particularly if you are maintaining a master external application, you can go back to the program that created the file, make your corrections, and reimport.</p>
+<p>Metadata database file types, such as MARC, OAI, CDS/ISIS, BibTex, Refer and ProCite, can be imported into Greenstone but their metadata cannot be IMMEDIATELY viewed or edited in the Librarian Interface. However, you can "explode" the file in the Librarian Interface and view or edit the metadata afterwards. Alternatively, particularly if you are maintaining a master external application, you can go back to the program that created the file, make your corrections, and reimport.</p>
 
 <p>"Exploding" a metadata database file splits it into individual records, with viewable and editable metadata. This process is irreversible: the original metadata file is deleted.</p>
 
-<p>Explodable files have a green icon in the Collection tree. To explode one, right click it and choose "Explode metadata database". A popup window shows options for the exploding process. The first option ("plugin") specifies the plugin to be used for exploding. In most cases, only one plugin will process a particular type of file, but in some cases, where different file types share the same filename extension, there may be two plugins that both process files with that extension. The "input_encoding" option can be used to specify the encoding of the database. The "metadata_set" option specifies the metadata set to which the new fields generated by exploding should be added. If none is specified, you will be prompted for what to do with each new field in the database: add it as a new element to an existing metadata set, merge with another element, or ignore.</p>
+<p>Explodable files have a green icon in the Collection tree. To explode one, right click it and choose "Explode metadata database". A popup window shows options for the exploding process. The "plugin" option specifies the plugin to be used for exploding. In most cases, only one plugin will process a particular type of file, but in some cases, where different file types share the same filename extension, there may be two plugins that both process files with that extension. The "input_encoding" option can be used to specify the encoding of the database. The "metadata_set" option specifies the metadata set to which the new fields generated by exploding should be added. If none is specified, you will be prompted for what to do with each new field in the database: add it as a new element to an existing metadata set, merge with another element, or ignore.</p>
 
 <p>When a file is exploded, a new empty document is created for each record, and the metadata from the record is assigned to the document. These are named using numbers such as 000001.nul, 000002.nul etc. If the "document_field" option is set (to a database field name), the value of this field, if present, will be used for the filename. The exploding process will also try to download the file and use it instead of an empty file. The "document_prefix" and "document_suffix" options can be used to make a valid URL or file path from the document_field value. The "records_per_folder" option can be used to group exploded records into sub-folders. If the database is very large, using this option will accelerate subsequent metadata editing.</p>
Index: /gli/trunk/help/en/exporting.htm
===================================================================
--- /gli/trunk/help/en/exporting.htm	(revision 19337)
+++ /gli/trunk/help/en/exporting.htm	(revision 19338)
@@ -14,5 +14,5 @@
 <p>Greenstone can export the contents and/or metadata of a collection to several standard formats, including METS, DSpace and MARCXML.</p>
 
-<p>To export one or more collections, open the "File" menu and choose "Export...". You can choose which format to export to by selecting it in the "Export to" drop-down list. Specify a name for the directory where you want to put the exported files&mdash;the files will end up in &lt;path to greenstone&gt;/tmp/exported_xxx, where xxx is the name you specified. Select one or more collections in the list of available collections, then click "Export collection(s)".</p>
+<p>To export a collection, open the "File" menu and choose "Export...". You can choose which format to export to by selecting it in the "Export to" drop-down list. Specify a name for the directory where you want to put the exported files&mdash;the files will end up in &lt;path to greenstone&gt;/tmp/exported_xxx, where xxx is the name you specified. Select one collection in the list of available collections, then click "Export collection".</p>
 
 <p>There are other options specific to the various formats. You can specify XSLT files which will be applied to the resulting XML document(s) in order to customize the output format. Exporting to MARCXML uses a mapping file to map Greenstone metadata to MARC fields. The default mapping file maps only Dublin Core metadata. You can specify a custom mapping file to be used instead.</p>
Index: /gli/trunk/help/en/filteringthetree.htm
===================================================================
--- /gli/trunk/help/en/filteringthetree.htm	(revision 19337)
+++ /gli/trunk/help/en/filteringthetree.htm	(revision 19338)
@@ -16,5 +16,5 @@
 <p>The "Show Files" pull-down menu underneath each tree shows a list of predefined filters, such as "Images".  Choosing this temporarily hides all other files in the tree.  To restore the tree, change the filter back to "All Files".  These operations do not alter the collection, nor do they affect the folders in the tree.</p>
 
-<p>You can specify a custom filter by typing in a pattern to match files against (Librarian Systems Specialist and Expert modes only). Use standard file system abbreviations such as "*.doc" ("*" matches any characters).</p>
+<p>You can specify a custom filter by typing in a pattern to match files against (Librarian and Expert modes only). Use standard file system abbreviations such as "*.doc" ("*" matches any characters).</p>
 
 </body>
Index: /gli/trunk/help/en/formattingacollection.htm
===================================================================
--- /gli/trunk/help/en/formattingacollection.htm	(revision 19337)
+++ /gli/trunk/help/en/formattingacollection.htm	(revision 19338)
@@ -21,4 +21,5 @@
 
 
+
 </body>
 </html>
Index: /gli/trunk/help/en/partitionindexes.htm
===================================================================
--- /gli/trunk/help/en/partitionindexes.htm	(revision 19337)
+++ /gli/trunk/help/en/partitionindexes.htm	(revision 19338)
@@ -16,5 +16,5 @@
 <p>The "Partition Indexes" view has three tabs; "Define Filters", "Assign Partitions" and "Assign Languages".  To learn more about partitions read about sub-collections and sub-indexes in Chapter 2 of the Greenstone Developer's Guide.</p>
 
-<p>The Partition Indexes screen is only enabled in Library Systems Specialist and Expert modes (see <a href="preferences.htm">Preferences</a>). Note that for MG collections, the total number of partitions generated is a combination of all indexes, sub-collection filters and languages chosen. Two indexes with two sub-collection filters in two languages would yield eight index partitions. For MGPP, all indexes are created in one physical index, so there would only be four index partitions. For Lucene, the number of physical indexes is determined by the number of levels assigned to the collection, one index per level. So for the above situation, one level would result in four physical indexes, while two levels would result in eight.</p>
+<p>Note that for MG collections, the total number of partitions generated is a combination of all indexes, sub-collection filters and languages chosen. Two indexes with two sub-collection filters in two languages would yield eight index partitions. For MGPP, all indexes are created in one physical index, so there would only be four index partitions. For Lucene, the number of physical indexes is determined by the number of levels assigned to the collection, one index per level. So for the above situation, one level would result in four physical indexes, while two levels would result in eight.</p>
 
 
Index: /gli/trunk/help/en/plugins.htm
===================================================================
--- /gli/trunk/help/en/plugins.htm	(revision 19337)
+++ /gli/trunk/help/en/plugins.htm	(revision 19338)
@@ -14,5 +14,5 @@
 <p>This section describes how to configure the document plugins the collection uses.  It explains how you specify what plugins to use, what parameters to pass to them, and in what order they occur.  Under the "Design" tab, click "Document Plugins".</p>
 
-<p>To add a plugin, select it using the "Select plugin to add" pull-down list near the bottom and then click "Add Plugin".  A window appears entitled "Configuring Arguments"; it is described later.  Once you have configured the new plugin, it is added to the end of the "Assigned Plugins" list. In Librarian mode, each plugin, except for UnknownPlug, may only occur once in the collection. In higher modes, plugins can appear multiple times. The process_exp argument will need to be set in order to make this useful.</p>
+<p>To add a plugin, select it using the "Select plugin to add" pull-down list near the bottom and then click "Add Plugin".  A window appears entitled "Configuring Arguments"; it is described later.  Once you have configured the new plugin, it is added to the end of the "Assigned Plugins" list. Generally, you would only have one instance of each plugin. However, you can add the same plugin more than once. The process_exp argument will need to be set in order to make this useful.</p>
 
 <p>To see a short description of a plugin, select it in the "Select plugin to add" pull-down list, then hover the mouse over it. A tool-tip displaying the description will appear.</p>
@@ -26,5 +26,5 @@
 <p>When you have changed the configuration, click "OK" to commit the changes and close the dialog, or "Cancel" to close the dialog without changing any plugin arguments.</p>
 
-<p>The plugins in the list are executed in order, and the ordering is sometimes important. The order of the plugins can be changed in Library Systems Specialist and Expert modes only (see <a href="preferences.htm">Preferences</a>).    </p>
+<p>The plugins in the list are executed in order, and the ordering is sometimes important. Select a plugin in the list and use the "Move Up" and "Move Down" buttons to change its place in the list.</p>
 
 </body>
Index: /gli/trunk/help/en/preferences.htm
===================================================================
--- /gli/trunk/help/en/preferences.htm	(revision 19337)
+++ /gli/trunk/help/en/preferences.htm	(revision 19338)
@@ -14,9 +14,9 @@
 <p>This section explains the preferences dialog, accessed by opening "File" -&gt; "Preferences".</p>
 
-<p>The preferences window opens at the "General" tab. The first option is a text field for entering your e-mail address. This will be used for the "creator" and "maintainer" collection metadata items for new collections. The next option is a pull-down list of the languages in which the Librarian Interface can be presented. If you change the dictionary by choosing one from the list, the Librarian Interface must be restarted in order to load the new language strings from the dictionary.</p>
+<p>The preferences window opens at the "General" tab. The first option is a text field for entering your e-mail address. This will be used for the "creator" and "maintainer" collection metadata items for new collections. The next option is a pull-down list of the languages in which the Librarian Interface can be presented. If you change the language by choosing one from the list, the Librarian Interface will restart itself in order to load the new language. A font specification text box is also supplied: a good setting for displaying Unicode is "Arial Unicode MS, BOLD, 14".</p>
 
 <p>If "View Extracted Metadata" is checked, the various controls dealing with metadata always show all metadata that has been extracted automatically from documents.  De-selecting it hides this metadata (although it is still available during collection design, and within the final Greenstone collection). If "Show file sizes" is checked, the file size is shown next to each file in the Workspace and Collection file trees in the Gather and Enrich views.</p>
 
-<p>The "Mode" tab is used to control the level of detail within the interface. At its lowest setting, "Library Assistant", the design view is disabled, arguments requiring regular expressions are hidden and the collection building process produces a minimal log of events. In contrast the highest setting, "Expert", provides access to all of the features of design, including plugin positioning and regular expression arguments, and also allows the full output from the collection building to be recorded in the logs. To change or review modes, click the radio button next to the mode you are interested in. You can quickly review what mode you are in by looking at the Librarian Interface's title bar.</p>
+<p>The "Mode" tab is used to control the level of detail within the interface. At its lowest setting, "Library Assistant", the design and format views are disabled. The user can add/remove documents, add/edit metadata and rebuild the collection. The Create panel is in its simple form. The "Librarian" mode provides access to all of the features of design and format, with the simple form of the Create pane. "Expert" mode includes the full Create pane, and allows the full output from the collection building to be recorded in the logs. To change or review modes, click the radio button next to the mode you are interested in. You can see what mode you are in by looking at the Librarian Interface's title bar.</p>
 
 <p>The "Connection" tab lets you alter the path to the locally-running Greenstone library server, which is used when Previewing collections. It also lets you set proxy information for connecting to the Internet (e.g. when downloading files; see the <a href="downloadingfiles.htm">Downloading Files from the Internet</a> section for details). Check the box to enable proxy connection and supply details of the proxy host address and port number. The proxy connection is established when you close the Preferences dialog.</p>
Index: /gli/trunk/help/en/producingthecollection.htm
===================================================================
--- /gli/trunk/help/en/producingthecollection.htm	(revision 19337)
+++ /gli/trunk/help/en/producingthecollection.htm	(revision 19338)
@@ -17,4 +17,5 @@
 
 
+
 </body>
 </html>
Index: /gli/trunk/help/en/replacingfiles.htm
===================================================================
--- /gli/trunk/help/en/replacingfiles.htm	(revision 19337)
+++ /gli/trunk/help/en/replacingfiles.htm	(revision 19338)
@@ -16,4 +16,6 @@
 <p>Files can be replaced in the collection by right-clicking the file to replace and choosing "Replace". A file browser will open up: navigate to the new document and click "Open". The new document will replace the old one in the collection, and any metadata will be transferred to it. This is particularly useful for replacing dummy documents by their real ones.</p>
 
+<p>Some file types are converted to HTML by third-party software during import, for example, Word, Excel, PDF etc. The HTML produced during import may not be very nice. These documents have a further right-click option: "Replace with HTML version". Selecting this option will replace the original file in the collection with the HTML version, which can then be edited.</p>
+
 </body>
 </html>
Index: /gli/trunk/help/en/scheduledbuilding.htm
===================================================================
--- /gli/trunk/help/en/scheduledbuilding.htm	(revision 19338)
+++ /gli/trunk/help/en/scheduledbuilding.htm	(revision 19338)
@@ -0,0 +1,17 @@
+<html>
+<head>
+<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<title>The Greenstone Librarian Interface - Help Pages</title>
+</head>
+<body bgcolor="#E0F0E0">
+<table width="100%" cellspacing="0" cellpadding="5" bgcolor="#B0D0B0" border="2">
+<tr>
+<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="scheduledbuilding"><font size="5" face="Verdana"><strong>7.4: Scheduling collection Builds</strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
+</tr>
+</table>
+
+
+<p>Scheduled collection building is available in Expert mode. Some configuration needs to be done before this will work; see http://wiki.greenstone.org/wiki/index.php/Scheduled_Collection_Building_from_the_Librarian_Interface for details. The "Schedule Options" tab on the left-hand side of the Create pane shows a list of options controlling the scheduling process. The "schedule" option needs to be set for scheduling to be undertaken. The other options control the frequency of rebuild, whether this is a new schedule or an update of an existing one, and email details if you want email notifiation.</p>
+
+</body>
+</html>
Index: /gli/trunk/help/en/searchindexes.htm
===================================================================
--- /gli/trunk/help/en/searchindexes.htm	(revision 19337)
+++ /gli/trunk/help/en/searchindexes.htm	(revision 19338)
@@ -38,5 +38,4 @@
 <p>The names used for the drop-down list of indexes on the search page can be set in the "Search" panel of the "Format" view (see <a href="searchmetadatasettings.htm">Search</a>).</p>
 
-<p>For MG and MGPP indexes, there are further options controlling how the indexes are built. Stemming and case-folding may be enabled or disabled in the indexes&mdash;if disabled, the options will not be displayed on the preferences page of the collection. Accent-folding is also available for MGPP indexes. This works in a similar way to case-folding, but instead of lower and upper case letters matching, letters with diacritics match those without.</p>
 
 </body>
Index: /gli/trunk/help/en/searchindexoptions.htm
===================================================================
--- /gli/trunk/help/en/searchindexoptions.htm	(revision 19338)
+++ /gli/trunk/help/en/searchindexoptions.htm	(revision 19338)
@@ -0,0 +1,23 @@
+<html>
+<head>
+<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<title>The Greenstone Librarian Interface - Help Pages</title>
+</head>
+<body bgcolor="#E0F0E0">
+<table width="100%" cellspacing="0" cellpadding="5" bgcolor="#B0D0B0" border="2">
+<tr>
+<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="searchindexoptions"><font size="5" face="Verdana"><strong>6.3.1: Search Index Options</strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
+</tr>
+</table>
+
+
+<p>There are some additional options controlling how the indexes are built. These may not be available for a particular index, in which case will be greyed out.</p>
+
+<p>Stemming and case-folding may be enabled or disabled for MG and MGPP indexes. If enabled, stemmed and case-folded indexes will be created, and the user will have the option of searching with case folding and stemming on or off. If disabled, searching will be case-sensitive and unstemmed, and the options will not be displayed on the preferences page of the collection.</p>
+
+<p>Accent-folding is available for MGPP indexes. This works in a similar way to case-folding, but instead of lower and upper case letters matching, letters with diacritics match those without. The Lucene index is accent-folded automatically, but no option to switch this on and off will be displayed to the user on the collection's preferences page.</p>
+
+<p>Chinese, Japanese and Korean text is often not segmented into individual words. As indexing relies on word breaks being present in the text, this results in an unsearchable index. Setting the "CJK Text Segmentation" option will add spaces between each Chinese/Japanese/Korean character in the text and in search terms, so that character level searching is carried out.</p>
+
+</body>
+</html>
Index: /gli/trunk/help/en/searchmetadatasettings.htm
===================================================================
--- /gli/trunk/help/en/searchmetadatasettings.htm	(revision 19337)
+++ /gli/trunk/help/en/searchmetadatasettings.htm	(revision 19338)
@@ -14,5 +14,5 @@
 <p>This section explains how to set the display text for the drop down lists on the search page. Under the "Format" tab, click "Search".</p>
 
-<p>This pane contains a table listing each search index. Here you can enter the text to be used for the index names in the drop-down lists on the search page. This pane only allows you to set the text for one language, the current language used by GLI. To translate these names for other languages, use the "Translate Text" panel of the Format view (see <a href="translatetext.htm">Translate Text</a>).</p>
+<p>This pane contains a table listing each search index, level, and partition. Here you can enter the text to be used for the names in the drop-down lists on the search page. This pane only allows you to set the text for one language, the current language used by GLI. To translate these names for other languages, use the "Translate Text" panel of the Format view (see <a href="translatetext.htm">Translate Text</a>).</p>
 
 </body>
Index: /gli/trunk/help/en/selectingmetadatasets.htm
===================================================================
--- /gli/trunk/help/en/selectingmetadatasets.htm	(revision 19337)
+++ /gli/trunk/help/en/selectingmetadatasets.htm	(revision 19338)
@@ -24,5 +24,5 @@
 <p>To add a new element, right click on the name of the set and choose "Add Element". To add a new subelement, right click on the element and choose "Add Subelement". Elements and subelements can be deleted by choosing "Delete (Sub)element" from the right click menu. </p>
 
-<p>Note: the Greenstone Editor for Metadata Sets can be run independently of GLI by selecting it from the Greenstone folder in the Start menu, or by running gens.sh or gems.bat in the gli folder of your Greenstone installation.</p>
+<p>Note: the Greenstone Editor for Metadata Sets can be run independently of GLI by selecting it from the Greenstone folder in the Start menu, or by running gems.sh or gems.bat in the gli folder of your Greenstone installation.</p>
 
 <p>Sometimes two metadata sets may have the same namespace, for example, Dublin Core and Qualified Dublin Core both use the namespace "dc". Such sets cannot be used in the collection at the same time. If you try to add a set with a namespace already used by the collection, a warning will be shown. If you go ahead, the existing set will be removed and the new one added. Any assigned metadata values will be transferred to the new set providing those elements still exist.</p>
Index: /gli/trunk/help/en/theenrichview.htm
===================================================================
--- /gli/trunk/help/en/theenrichview.htm	(revision 19337)
+++ /gli/trunk/help/en/theenrichview.htm	(revision 19338)
@@ -16,5 +16,5 @@
 <p>On the left of the "Enrich" view is the Collection Tree. All the right-click functionality that was available for the Collection Tree in the "Gather" view is available here too. To the right is the Metadata Table, which shows metadata for any selected files or folders in the Collection Tree.  Columns are named in black at the top, and can be resized by dragging the separating line. If several files or folders are selected, black text indicates that the value is common to all of the selected items, while grey text indicates that it is not. Editing grey values will only affect those documents with that metadata. Any new metadata values entered will be added to all selected items.</p>
 
-<p>A folder icon may appear beside some metadata entries.  This indicates that the values are inherited from a parent (or ancestor) folder.  Inherited metadata cannot be edited or removed, only appended to or overwritten.  Click on the folder icon to go immediately to the folder where the metadata is assigned.</p>
+<p>A folder icon may appear beside some metadata entries.  This indicates that the values are inherited from a parent (or ancestor) folder.  Inherited metadata cannot be edited or removed, only appended to.  Click on the folder icon to go immediately to the folder where the metadata is assigned.</p>
 
 <p>Clicking on a metadata element in the table will display the existing values for that element in the "Existing values for ..." area below the table. This "Value Tree" expands and collapses.  Usually it is a list that shows all values entered previously for the selected element.  Clicking an entry automatically places it into the value field.  Conversely, typing in the value field selects the Value Tree entry that starts with the characters you have typed.  Pressing [Tab] auto-completes the typing with the selected value.</p>
Index: /gli/trunk/help/en/theformatview.htm
===================================================================
--- /gli/trunk/help/en/theformatview.htm	(revision 19337)
+++ /gli/trunk/help/en/theformatview.htm	(revision 19338)
@@ -12,5 +12,5 @@
 
 
-<p>This section introduces you to the Format view and explains how to navigate among the various panes.</p>
+<p>This section introduces you to the Format view. </p>
 
 <p>With the Librarian Interface you can configure how the collection appears to the user. The configuration options are divided into sections, each associated with a different type of customization.</p>
Index: /gli/trunk/help/en/themirrorview.htm
===================================================================
--- /gli/trunk/help/en/themirrorview.htm	(revision 19337)
+++ /gli/trunk/help/en/themirrorview.htm	(revision 19338)
@@ -20,5 +20,8 @@
 
 <p>
-<b>OAI:</b> downloads metadata records from an OAI (Open Archives Initiative) server.</p>
+<b>MediaWiki:</b> downloads web pages and files via HTTP from a MediaWiki website.</p>
+
+<p>
+<b>OAI:</b> downloads metadata records (and optionally documents) from an OAI-PMH (Open Archives Initiative) server.</p>
 
 <p>
@@ -32,7 +35,7 @@
 <p>Once the configuration is set up, click "Server Information" to check the connection to the server and view some basic information about the web page or server, or click "Download" to start the download. </p>
 
-<p>There are two other buttons: "Preferences", which links to the connection section of the Preferences where proxy settings can be edited; and "Clear Cache", which deletes all previously downloaded files. You will need to set up proxy information if you use a proxy server to connect to the Internet. If authentication is needed when a download is being processed, the proxy server will prompt for username and password.  The Librarian Interface does not store passwords between sessions.</p>
+<p>There are two other buttons: "Configure Proxy...", which links to the connection section of the Preferences where proxy settings can be edited; and "Clear Cache", which deletes all previously downloaded files. You will need to set up proxy information if you use a proxy server to connect to the Internet. If authentication is needed when a download is being processed, the proxy server will prompt for username and password.  The Librarian Interface does not store passwords between sessions.</p>
 
-<p>Files are downloaded into a folder called "Downloaded Files" (only present when downloading is enabled), and can be used in any collections.  Files are named by their full web URL (for Web downloads) or a combination of URL and option values (for other download types). A new folder is created for each host, followed by others for each part of the path. This ensures that each file is distinct.</p>
+<p>Files are downloaded into a folder called "Downloaded Files" (only present when downloading is enabled), and can be used in any collections.  Files are named by their full web URL (for Web and MediaWiki downloads) or a combination of URL and option values (for other download types). A new folder is created for each host, followed by others for each part of the path. This ensures that each file is distinct.</p>
 
 <p>The download list has an entry for each download processed. Each entry has a text region that gives details of the task along with a progress bar showing current activity. Three buttons appear to the right of each entry. "Pause" is used to pause a task. "View Log" opens a window showing the download log file. "Close" terminates the download and removes the task from the list.  </p>